#!/bin/sh

type=$1

host=$(/usr/local/bin/beroconf get root tftp-host | grep -v failed)
url=$(/usr/local/bin/beroconf get root tftp-url | grep -v failed)


if [ "$host" = "" ] ; then 
	exit 0
fi

#echo "  = tftp-update: checking for files on $host:/$url"

cd /usr/conf


function get_file {
#	echo "  == fetching file $url/$1"
	/usr/local/bin/tftp $host > /dev/null <<EOF
timeout 1
get $url/$1
EOF
}
if [ "$type" = "config" ] ; then
	get_file conf-update.conf
	/usr/local/bin/update-conf.sh $host $url
fi
	
if [ "$type" = "firmware" ] ; then
	get_file firmware-update.conf                                                   
	/usr/local/bin/upgrade-firmware.sh $host $url
fi
sync

