

<?php
        
/*
beroFix.php
Version:1.02
*/
        
        include("../../php/beroConf.php");
        include("../berogui/misc/database.php");
        include("../berogui/includes/isgwtelnet.php");
        
        $cmd=$_GET['cmd'];
        $data=$_GET['data'];
        
        if($cmd=="help"){
           	$result=help();
        	exit;
        }
        
        if ($cmd=="misdnportinfo"){
        	exec('/usr/local/bin/misdnportinfo',$result);
        	echo "misdnportinfo:\n<br>";
        	foreach($result as $row){
        		echo $row . "\n<br>";
			}
        	
        	        	
        	exit;
		}
        
        if ($cmd=="setapipwd")
        {
        		
                $tmp=split("=",$data);
                
                if (count($tmp)!=2){
                	
                	echo "setapipwd:error:requires_1_parameter" ."\n";
                	exit;
                }
                $pwd=$tmp[1];
                $pwd=$tmp[1];
                
                if($pwd!=""){
               		@unlink("/usr/conf/apiusers.conf");
                	$handle = fopen("/usr/conf/apiusers.conf","w");
                	fputs($handle, "admin:". $pwd);
                	fclose($handle);
                	echo "setapipwd:success" ."\n";
				}else{
					echo "setapipwd:error:empty_password_not_allowed" ."\n";
				}
				exit;
        }
        
        
        if ($cmd=="getsipstate")
        {
               	$error=0; 
                $isgw=new isgwtelnet();
                $result=$isgw->isgw_login();
				if(!$result){
					echo "getsipstate:error" ."\n";
					exit;
				}
								
                $isdnresult=$isgw->isgw_sipstate();
				echo "getsipstate:success" ."\n";
				echo $isdnresult;
				
                exit;
        }
        if ($cmd=="getisdnstate")
        {
               	$error=0; 
                $isgw=new isgwtelnet();
                $result=$isgw->isgw_login();
				if(!$result){
					echo "getisdnstate:error" ."\n";
					exit;
				}
								
                $isdnresult=$isgw->isgw_isdnstate();
				echo "getisdnstate:success" ."\n";
				echo $isdnresult;
				
                exit;
        }
        if ($cmd=="reload")
        {
               	$error=0; 
                $isgw=new isgwtelnet();
                $result=$isgw->isgw_login();
				if(!$result)$error=1;
                $result=$isgw->isgw_dialplanreload();
				if(!$result)$error=1;
                $result=$isgw->isgw_sipreload();
				if(!$result)$error=1;
                
                
                $strpath="/usr/conf/";
				$db=new beroAri($strpath . "ari.db");
				if(!$error){
					
					$strsql="Update activate set option=0 where option=1";
					$res=$db->delete($strsql);
                	echo "reload:success";
                }else{
                	echo "reload:error";
				}
                exit;
        }
        if ($cmd=="restart")
        {
                $result=exec('/usr/local/init/S50isgw stop');
                $result=exec('/usr/local/init/S10li-setup stop');
                $result=exec('/usr/local/init/S10li-setup start');
                $result=exec('/usr/local/init/S50isgw start');
                $strpath="/usr/conf/";
				$db=new beroAri($strpath . "ari.db");
                if($result){
                	$strsql="Update activate set option=0";
					$res=$db->delete($strsql);
                	echo "restart:success";
                }else{
                	echo "restart:error";
				}
                exit;
        }
        if ($cmd=="reboot")
        {
        		$result=exec('/sbin/reboot');
        		echo "reboot:rebooting....";
                exit;
        }
        if($cmd=="settftp"){
                //echo $cmd . $data ."\n";
                $bc=new beroConf('root');
                $data=split(":",$data);
                if(count($data)!=3){
                	echo "settftp:failed:settftp_requires_3_parameters\n";
                	exit;
                }
                $tmp=split("=",$data[0]);
                $tftphost=$tmp[1];
                $tmp=split("=",$data[1]);
                $tftpurl=$tmp[1];
                $tmp=split("=",$data[2]);
                $tftponboot=$tmp[1];
                if ($tftponboot =="yes" || $tftponboot=="no")
                {
                	$bc->set("root","tftp-host",$tftphost);
                	$bc->set("root","tftp-url",$tftpurl);
                	$bc->set("root","use-boot-tftp",$tftponboot);
                	echo "settftp:success\n";
                	exit;
                }else{
                	echo "settftp:failed:valid_values_for_tftponboot_are[yes|no]\n";
                	exit;                	                
				}
                
        }
        if ($cmd=="tftp_config_update")
        {
                $result=exec('/usr/local/bin/update-tftp.sh config');
                echo $result;
                exit;
        }
        if ($cmd=="tftp_firmware_update")
        {
                $result=exec('/usr/local/bin/update-tftp.sh firmware');
                echo $result;
                exit;
        }
	
        if ($cmd=="getlif"){
        	
        		exec('/bin/cat /proc/li*',$resl);
                $i=0;
                foreach ($resl as $zeile){
                        preg_match("/type: (?<li>.+)/",$zeile,$lif);
                        
                        if (($lif[li]!="unknown") && ($lif[li]!="")){
                                if ($lif[li]=="xhfc-4su") $type="bf4S0";
                                if ($lif[li]=="hfc-e1") $type="bf1E1";
                                if ($lif[li]=="hfc-2e1") $type="bf2E1";
                                echo "lif:" . $i . ";type:" . $type . "\n<br>" ;
                                $i++;
                        }
                        
                }
						
			exit;
        }
        if ($cmd=="getinfo"){
        	//ROOTFS VERSION
			$f=@file("/VERSION");
            $tmp=split("=",$f[1]);
            $rootfs=$tmp[1];
			echo "ROOTFSVersion:" . $rootfs . "\n";
			
			//APPFS VERSION
			$bc = new beroConf('root');
			$appfs=$bc->get("root", "app-image");
			echo "APPFSVersion:" . $appfs . "\n";
			
			//HW REVISION
			exec('/bin/cat /proc/cmdline',$res);
            preg_match("/[^a-zA-Z0-9=]*?n=(?<number>.+)/",$res[0],$hwrev);
			echo "HWRevision:" . $hwrev[number] . "\n";
			
			//Serial
			preg_match("/[^a-zA-Z0-9=]*?d=(?<zahlen>.+)/",$res[0],$serial);
			echo "HWSerial:" . $serial[zahlen] . "\n";
			
			//MAC
			exec('/sbin/ifconfig eth0 | /bin/grep HWaddr',$resm);
            preg_match("/[^a-zA-Z0-9:]*? HWaddr (?<mac>.+)/",$resm[0],$mac);
			echo "MAC:" . $mac[mac] . "\n";
			
			//FPGA VERSION
			$fpga=exec("/bin/cat /proc/FPGA_VERSION");
			echo "FPGAVersion:" . $fpga . "\n";
			
			exit;
        }
        if ($cmd=="createconfig"){
			chdir("/tmp/");
			if(file_exists("beroconfig.tar.gz"))unlink("beroconfig.tar.gz");
			chdir("/usr/conf/");
			$result=exec('tar -czf /tmp/beroconfig.tar.gz isdn.conf isgw.dialplan isgw.sip isgw.conf isgw.isdn');
			echo "createconfig:success";
			exit;
		}	
				
		echo "Unknown Command:" . $cmd . "\n<br>";
        echo "<a href='./beroFix.php?cmd=help'>For help: http://[IPADDRESS]/app/api/beroFix.php?cmd=help" . "</a>"."\n";
	function help(){
		echo "<b>beroFix Configuration API</b>" . "<br>". "<br>" ."\n";
        	echo "<b>Commands:</b>" . "<br>"."\n";	
        	echo "Commands have always the following schema:" . "<br>"."\n";
        	echo "?cmd=[command]&data=[key1]=[value1]:[key2]=[value2]..." . "<br>" . "<br>"."\n";
        	
        	//SETAPIPWD
        	echo "<b>Command SetAPIPWD</b>" . "<br>" ."\n";
        	echo "Function to set the beroFix Configuration API Password" . "<br>"."\n";
        	echo "<ul><li>[command]=setapipwd" . "</li>"."\n";
        	echo "<li>[key1]=password" . "</li>"."\n";
        	echo "<li>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=setapipwd&data=password=admin" . "</li></ul>"."\n";
        	echo "Return Value:" . "<br>"."\n";
        	echo "<ul>"."\n";
        	echo "<li>setapipwd:success -> if everthing was ok.</li>"."\n";
           	echo "<li>setapipwd:error -> if an error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	
        	//SETTFTP
        	echo "<b>Command SetTFTP</b>" . "<br>" ."\n";
        	echo "Function to set TFTP Server and URL:" . "<br>"."\n";
        	echo "<ul><li>[command]=settftp" . "</li>"."\n";
        	echo "<li>[key1]=tftphost" . "</li>"."\n";
        	echo "<li>[key2]=tftpurl" . "</li>"."\n";
        	echo "<li>[key3]=tftponboot possible values [yes|no]" . "</li>"."\n";
        	echo "<li>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=settftp&data=tftphost=10.0.0.1:tftpurl=berofix:tftponboot=no" . "</li></ul>"."\n";
        	echo "Return Value:" . "<br>"."\n";
        	echo "<ul>"."\n";
        	echo "<li>settftp:success -> if everthing was ok.</li>"."\n";
           	echo "<li>settftp:error -> if an error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	
        	//TFTP Config Update        	
			echo "<b>Command TFTP_Config_Update</b>" . "<br>"."\n";
        	echo "Function to start Config Update via TFTP." . "<br>"."\n";
        	echo "<ul><li>[command]=tftp_config_update" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=tftp_config_update'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=tftp_config_update" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>"."\n";
        	echo "<ul>"."\n";
        	echo "<li>tftp_config_update:success -> if everthing was ok</li>"."\n";
        	echo "<li>tftp_config_update:failed:[comments] ->TFTP problem or no Download selected.[comments] for details</li>"."\n";
        	echo "<li>tftp_config_update:error -> if an major error occured. Check Config Files.</li>"."\n";
        	echo "</ul>"."\n";
        	
			//TFTP Firmware Update        	
			echo "<b>Command TFTP_Firmware_Update</b>" . "<br>"."\n";
        	echo "Function to start Firmware update via TFTP." . "<br>"."\n";
        	echo "<ul><li>[command]=tftp_firmware_update" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=tftp_firmware_update'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=tftp_firmware_update" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>"."\n";
        	echo "<ul>"."\n";
        	echo "<li>tftp_firmware_update:success -> if everthing was ok</li>"."\n";
        	echo "<li>tftp_firmware_update:failed:[comments] ->TFTP problem or no Download selected.[comments] for details</li>"."\n";
        	echo "<li>tftp_firmware_update:error -> if an major error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	
        	// GET LIF
        	echo "<b>Command GetLif</b>" . "<br>"."\n";
        	echo "Function to get current Lineinterfaces." . "<br>"."\n";
        	echo "<ul><li>[command]=getlif" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=getlif'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=getlif" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br><br>";
        	echo "<ul>"."\n";
        	echo "<li>lif:<lineinterface number[0|1]>;type:<lineinterface type[bf4S0|bf1E1|bf2E1|bf2GSM|bf4FXO|bf4FXS]></li>"."\n";
        	echo "<li>Example:</li>"."\n";
        	echo "<li>lif:0;type:bf2E1</li>"."\n";
        	echo "<li>lif:1;type:bf4S0</li>"."\n";
        	echo "</ul>"."\n";      	
        	
        	//Get Info
        	echo "<b>Command GetInfo</b>" . "<br>"."\n";
        	echo "Function to get Version infos for HW Revison or firmware." . "<br>"."\n";
        	echo "<ul><li>[command]=getinfo" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=getinfo'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=getinfo" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br><br>";
        	echo "<ul>"."\n";
        	echo "<li>ROOTFSVersion:[number]</li>"."\n";
        	echo "<li>APPFSVersion:[number]</li>"."\n";
        	echo "<li>HWRevision:[number]</li>"."\n";
        	echo "<li>HWSerial:[number]</li>"."\n";
        	echo "<li>FPGAVersion:[number]</li>"."\n";
        	echo "<li>MAC:[macaddress]</li>"."\n";
        	echo "<li>where [number] is the versionnumber of each row</li>"."\n";
        	echo "</ul>"."\n";      	
        	        	
        	//Reload       	
        	echo "<b>Command Reload</b>" . "<br>"."\n";
        	echo "Function Reload settings." . "<br>"."\n";
        	echo "<ul><li>[command]=reload" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=reload'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=reload" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>";
        	echo "<ul>"."\n";
        	echo "<li>reload:success -> if everthing was ok</li>"."\n";
        	echo "<li>reload:error ->if an error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	
        	//Restart
        	echo "<b>Command Restart</b>" . "<br>"."\n";
        	echo "Function Restart with new settings." . "<br>"."\n";
        	echo "<ul><li>[command]=restart" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=restart'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=restart" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>";
        	echo "<ul>"."\n";
        	echo "<li>restart:success -> if everthing was ok</li>"."\n";
           	echo "<li>restart:error -> if an error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	        	
        	//Reboot
        	echo "<b>Command Reboot</b>" . "<br>"."\n";
        	echo "Function to Resboot berofix." . "<br>"."\n";
        	echo "<ul><li>[command]=reboot" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=reboot'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=reboot" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>";
        	echo "<ul>"."\n";
        	echo "<li>reboot:rebooting... -> if reboot is initiated</li>"."\n";
           	echo "</ul>"."\n";
        	
        	//CreateConfig       	
        	echo "<b>Command CreateConfig</b>" . "<br>"."\n";
        	echo "Function to create downloadable config files for TFTP. New created tarball can be accessed by" . "<br>"."\n";
        	echo "http://[IPADDRESS]/app/api/beroconfig.tar.gz" . "<br>"."\n";
        	echo "<ul><li>[command]=createconfig" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=createconfig'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=createconfig" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>";
        	echo "<ul>"."\n";
        	echo "<li>createconfig:success -> if everthing was ok</li>"."\n";
           	echo "<li>createconfig:error -> if an error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	
        	echo "<b>Command GetISDNState</b>" . "<br>"."\n";
        	echo "Function to get the state of each configured port." . "<br>"."\n";
        	echo "<ul><li>[command]=getisdnstate" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=getisdnstate'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=getisdnstate" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>";
        	echo "<ul>"."\n";
        	echo "<li>getisdnstate:success -> if everthing was ok</li>"."\n";
           	echo "<li>getisdnstate:error -> if an error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	
        	echo "<b>Command GetSIPState</b>" . "<br>"."\n";
        	echo "Function to get the state of each SIP Registar." . "<br>"."\n";
        	echo "<ul><li>[command]=getsipstate" . "</li>"."\n";
        	echo "<li><a href='./beroFix.php?cmd=getsipstate'>Example: http://[IPADDRESS]/app/api/beroFix.php?cmd=getsipstate" . "</a></li></ul>"."\n";
        	echo "Return Value:" . "<br>";
        	echo "<ul>"."\n";
        	echo "<li>getsipstate:success -> if everthing was ok</li>"."\n";
           	echo "<li>getsipstate:error -> if an error occured.</li>"."\n";
        	echo "</ul>"."\n";
        	exit;
	}	
?>
        
