<?php


/*
   ********
   POPUPS
   ********
*/
define("POPUPS_BUTTON_CLOSE", "Close Window.");

//Configuration
define("EC","Activate Hardware Echo Canceler");
define("EC_TAIL","Echo Cancel Tail Length. 16 tabs each 8ms.<br>0=8ms,1=16ms,2=24ms,...,15=128ms");
define("EA","Activate Early Audio support. Also called<br> (Early) Media-Stream in onhook.<br>With this option set to yes<br>you can have Audio without a connect.");
define("T38","Activate Hardware T38 Support if a fax is<br>detected or we recieve a T.38 invite.");
define("ODT","Overlap Dial Timeout in seconds(default is 3).<br>For a incoming setup coming from ISDN-Lines<br>a interdigit collect timer will be started.<br>After the specified timeout the setup<br> will be signalled to the routing site. ");
define("DNUMPLAN","(default is 0=unknown) destination number(DAD) Dialplan.");
define("RNUMPLAN","(default is 0=unknown) redirected number Dialplan.");
define("ONUMPLAN","(default is 0=unknown) originated number(OAD) Dialplan.<br>For lines with Clip-No-Screening this has to be set to international,national or subscriber depending on how you going to send the OAD.");
define("CPNNUMPLAN","(default is 0=unknown) connected party number Dialplan.");
define("UNKNOWNPREFIX","default is empty.");
define("INTERNATIONALPREFIX","(default is 00) If a call is coming from outside<br>and it is an international call, the prefix (in this case 00)<br>will be put in front of the OAD.");
define("NATIONALPREFIX","(default is 0) If a call is coming from outside and it is an<br>national call,the prefix (in this case 0) will be put in front<br>of the OAD.");
define("PRIVATEPREFIX","default is empty.");
define("LOCALPREFIX","default is empty.");
define("SCREENING","(default is 0) these are the exact ISDN screening and presentation indicators.<br>Screening=0 and presentation=0 means callerID presented but not screened(the remote end does see the callerID).<br>Screening=1 and presentation=1 means callerID presented but screened(the remote end does not see the callerID).");
define("PRES","default is 0.");

//DIALPLAN_POPUP
define("DIALPLAN_DESTINATION", "CalledID (DAD Destination ADdress):");
define("DIALPLAN_NEW_DESTINATION", "New CalledID (DAD Destination ADdress):");
define("DIALPLAN_SOURCE", "CallerID(OAD Originating ADdress):");
define("DIALPLAN_NEW_SOURCE", "New CallerID(OAD Orginating ADdress):");
define("DIALPLAN_CONFIGURATION", "Configuration string i.e.:");
define("DIALPLAN_SAVE", "Save this dialpan settings.");
define("DIALPLAN_DIRECTION","Calls Direction");
define("DIALPLAN_FROM_ISDN","From ISDN");
define("DIALPLAN_FROM_SIP","From SIP");
define("DIALPLAN_TO_ISDN","To ISDN");
define("DIALPLAN_TO_SIP","To SIP");

//SIP POPUP
define("TRUNKS_SIP_NAME", "Name for this SIP settings.");
define("TRUNKS_SIP_USER", "SIP Accountname / Authenticationname.");
define("TRUNKS_SIP_SECRET", "SIP Authentication password.");
define("TRUNKS_SIP_SERVER_ADDRESS", "SIP Proxy or Registrar IP");
define("TRUNKS_SIP_SAVE", "Save this SIP settings.");
define("TRUNKS_SIP_TYPE", "Type: possible values are:<br><br>- Proxy (to use for outbound Calls<br>- Registrar (to register at your registrar)<br>- Both (Proxy and Registrar)");
define("TRUNKS_SIP_DEFAULT", "Default SIP");
define("TRUNKS_SIP_EXTERNIP", "Extern IP");
define("TRUNKS_SIP_STUNSERVER", "Stunserver");

//ISDN Groups
define("ISDN_GROUP_NAME", "Enter a unique Name for this ISDN-Group");
define("ISDN_AVAILABLE_PORTS", "Available ISDN Ports.<br>Select one or more Ports<br>and press <-Add to add ports to your ISDN-Group.");
define("ISDN_GROUP_PORTS", "Ports already in this ISDN-Group.<br>Select one or more Ports<br>and press Remove--> to remove ports from your ISDN-Group.");
define("ISDN_PORTS_TABLE", "Select available ports to your ISDN-Group.");
define("ISDN_SAVE", "Save your modified settings");


//ISDN HARDWARE
define("ISDNHW_MODE", "Possible values for ISDN Mode are:<br><br>-TE (Terminal Endpoint) to connect to a ISDN Line<br>- NT (Network Terminator) to connect ISDN devices");
define("ISDNHW_MASTER", "Clock source from where bero*fix gets its clock.");
define("ISDNHW_SAVE", "Save modified settings");
//ISDNHW_POPUP
define("ISDNHW_PTP", "Possible values for Line type are:<br><br>- PTP(Point-to-point)<br>- PMP(Point-to-mulipoint)");
define("ISDNHW_PTPE1", "For Type E1 only PTP(Point-to-point) Protocol is possible)");
define("ISDNHW_LT", "Line Termination. Will enable 100Ohm Line termination on the card side.");
/*
   **********
   MODULES
   **********
*/
//DIALPLAN
define("DIALPLAN_MOD_INBOUND_MODIFY", "Modify this dialplan rule.");
define("DIALPLAN_MOD_INBOUND_COPY", "Copy and modify this dialplan rule.");
define("DIALPLAN_MOD_INBOUND_DELETE", "Delete this dialplan rule.");
define("DIALPLAN_MOD_INBOUND_ADD", "Add a new Dialplan rule.");
//ISDN
define("MOD_ISDN_MODIFY", "Modify ISDN Group settings.");
define("MOD_ISDN_DELETE", "Delete ISDN Group.");
define("MOD_ISDN_ADD", "Add new ISDN Group.");
//SIP
define("MOD_SIP_MODIFY", "Modify SIP settings.");
define("MOD_SIP_DELETE", "Delete SIP connection.");
define("MOD_SIP_ADD", "Add new SIP connection.");
//SIP GENERAL
define("SIP_GENERAL_UDPPORTS", "Please enter RTP Port range.<br>For instance: 5000-5059,10000-20000");
define("SIP_GENERAL_BINDPORT", "Bindport");
define("SIP_GENERAL_SAVE", "Save your modified settings.");
//NETWORK CONFIGURATION
define("NET_CONF_MTU_SIZE","In case of problems save the MTU size with the value 500.");
define("NET_CONF_DHCP","DHCP Server");
define("NET_CONF_STATIC","Static IP Address");
define("NET_CONF_IP_ADDRESS","IP Address");
define("NET_CONF_NETMASK","Netmask");
define("NET_CONF_GATEWAY","Gateway");
define("NET_CONF_RESET","Press to reset all values.");
define("NET_CONF_APPLY","Apply the current configuration.");
define("NET_CONF_NAMESERVER","");
//BACKUP RESTORE
define("BACK_RES_DOWNLOAD","Download configuration\'s Databases.");
define("BACK_RES_FILE","Please select the configuration\'s file.");
define("BACK_RES_UPLOAD","Press to upload.");
define("BACK_RES_RESET","Press to reset all values.");
//HARDWARE ISDN
define("HARDWARE_ISDN_MOD_MODIFY", "Modify the Lineinterface settings.");
//PREFERENCES                               
define("CHANGE_PWD_OLD_PASS", "Please enter your old password.");
define("CHANGE_PWD_NEW_PASS", "Please enter your new password.");
define("CHANGE_PWD_CONFIRM_NEW_PASS", "Please repeat your new password.");
define("CHANGE_PWD_SAVE", "Save your modified settings.");
//General                                   
define("GENERAL_ADDRESS", "Please enter the IP-Address of your Log Server<br>where the log should be send to.");
define("GENERAL_PORT", "Please enter port number where your <br>Log Server is listining.");
define("GENERAL_ACTIVE", "Please check this field to activate logging.");
define("GENERAL_SAVE", "Save your modified settings.");
define("GENERAL_LOGLEVEL", "Please select your Log Level.<br>- 0 for none or no logging<br>- 9 for very high logging.");
//UPDATE TOOL
define("UPDATE_TOOL_FILE", "Please select the new image file.");
define("UPDATE_TOOL_UPLOAD", "Press to upload.");
//DEBUG
define("DEBUG_CHECK_ALL","Check all the ports");
define("DEBUG_DOWNLOAD_COREDUMPS","Download ISGW coredumps");
define("DEBUG_DELETE","Delete the ISGW coredumps");
define("DEBUG_START_TRACE","Start ISDN and TCP trace");
define("DEBUG_STOP_TRACE","Stop ISDN and TCP trace");
define("DEBUG_START_DIALPLAN_DEBUG","Start dialplan debugging");
define("DEBUG_DOWNLOAD_TRACE","Click here to download the files");
define("DEBUG_RESTART","Restart all applications.<br>With this action you go to finish all the calls.");
?>
