<?php


/**
 * @file
 * popup window for playing recording
 */

chdir("..");
include './includes/variables.php';
require_once ('./includes/isgwtelnet.php');
include './misc/database.php';
include './misc/config_parameter.php';
$config_values=array("ea","t38","dtmfmode","codecs",
					"ec","ectl","dnumplan",
					"rnumplan","onumplan","cpnnumplan",
					"unknownprefix","internationalprefix",
					"nationalprefix","privateprefix",
					"localprefix","screen","pres",
					"bearer_cap","cd");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="icon" href="../includes/images/favicon.ico" type="image/x-icon">
<script>
//Parameter's functions
function screen(key,conf,isdn){
	if (key=="screen" && conf[isdn.options[isdn.selectedIndex].value][key]==1) 
		document.getElementById(key).checked=true;
	else if (key=="screen" && conf[isdn.options[isdn.selectedIndex].value][key]==0)
		document.getElementById(key).checked=false;
}

function cd(key,conf,isdn){
	if (key=="cd" && conf[isdn.options[isdn.selectedIndex].value][key]==1) 
		document.getElementById(key).checked=true;
	else if (key=="cd" && conf[isdn.options[isdn.selectedIndex].value][key]==0)
		document.getElementById(key).checked=false;
}

function pres(key,conf,isdn){
	if (key=="pres" && conf[isdn.options[isdn.selectedIndex].value][key]==1) 
		document.getElementById(key).checked=true;
	else if (key=="pres" && conf[isdn.options[isdn.selectedIndex].value][key]==0)
		document.getElementById(key).checked=false;
}

function ec(key,conf,isdn){
	if (key=="ec" && conf[isdn.options[isdn.selectedIndex].value][key]==1) 
		document.getElementById(key).checked=true;
	else if (key=="ec" && conf[isdn.options[isdn.selectedIndex].value][key]==0)
		document.getElementById(key).checked=false;
}

function ectl(key,conf,isdn){
	if (key=="ectl") 
		document.getElementById(key).value=conf[isdn.options[isdn.selectedIndex].value][key];
}


function dialplans(key,conf,isdn){
	if (key=="dnumplan" || key=="onumplan" || key=="rnumplan" || key=="cpnnumplan"){ 
		if (conf[isdn.options[isdn.selectedIndex].value][key]==4)
		conf[isdn.options[isdn.selectedIndex].value][key]=3
		document.getElementById(key).options[conf[isdn.options[isdn.selectedIndex].value][key]].selected=true;
	}
}

function prefixes(key,conf,isdn){
	if (key=="unknownprefix" || key=="internationalprefix" || key=="nationalprefix" || key=="privateprefix" || key=="localprefix") 
		document.getElementById(key).value=conf[isdn.options[isdn.selectedIndex].value][key];
}
function bearer_cap(key,conf,isdn){
	if (key=="bearer_cap") {
		for (i = 0; i < document.dialplan.bearer_cap.length; i++){
    		if (document.dialplan.bearer_cap.options[i].value == conf[isdn.options[isdn.selectedIndex].value][key] )
			conf[isdn.options[isdn.selectedIndex].value][key]=i;		
		}
		document.getElementById(key).options[conf[isdn.options[isdn.selectedIndex].value][key]].selected=true;
	}
}
function ea(key,conf,sip,m){
	if (m){
		if (key=="ea" && conf[m][key]==1) 
			document.getElementById(key).checked=true;
		else if (key=="ea" && conf[m][key]==0)
			document.getElementById(key).checked=false;
	}else{
		if (key=="ea" && conf[sip.options[sip.selectedIndex].value][key]==1) 
			document.getElementById(key).checked=true;
		else if (key=="ea" && conf[sip.options[sip.selectedIndex].value][key]==0)
			document.getElementById(key).checked=false;
	}
}

function t38(key,conf,sip,m){
	if (m){
		if (key=="t38" && conf[m][key]==1) 
			document.getElementById(key).checked=true;
		else if (key=="t38" && conf[m][key]==0)
			document.getElementById(key).checked=false;
	}else{
		if (key=="t38" && conf[sip.options[sip.selectedIndex].value][key]==1) 
			document.getElementById(key).checked=true;
		else if (key=="t38" && conf[sip.options[sip.selectedIndex].value][key]==0)
			document.getElementById(key).checked=false;
	}
}
function dtmfmode(key,conf,sip,m){
	if (m){
		if (key=="dtmfmode") {
			for (i = 0; i < document.dialplan.dtmfmode.length; i++){
    			if (document.dialplan.dtmfmode.options[i].value == conf[m][key])
				conf[m][key]=i;		
			}
			document.getElementById(key).value=conf[m][key];
		}
	}else{
		if (key=="dtmfmode") {
			for (i = 0; i < document.dialplan.dtmfmode.length; i++){
    			if (document.dialplan.dtmfmode.options[i].value == conf[sip.options[sip.selectedIndex].value][key])
				conf[sip.options[sip.selectedIndex].value][key]=i;		
			}
			document.getElementById(key).value=conf[sip.options[sip.selectedIndex].value][key];
		}
	}
}
function codecs(key,conf,sip,m){
	if (key=="codecs") {
	var sel = document.getElementById("sel");
	var sel1 = document.getElementById("sel1");

	while (sel.length>0){
		sel.remove(sel.length-1);
	}
	while (sel1.length>0){
		sel1.remove(sel1.length-1);
	}
	var option1 = new Option(); option1.text='pcma'; option1.value='pcma'; sel1.options[sel1.length]=option1;
	var option2 = new Option(); option2.text='pcmu'; option2.value='pcmu'; sel1.options[sel1.length]=option2;
	var option3 = new Option(); option3.text='gsm'; option3.value='gsm'; sel1.options[sel1.length]=option3;
	var option4 = new Option(); option4.text='g729'; option4.value='g729'; sel1.options[sel1.length]=option4;
	var option5 = new Option(); option5.text='g723'; option5.value='g723'; sel1.options[sel1.length]=option5;
	var option5 = new Option(); option5.text='g726-32'; option5.value='g726-32'; sel1.options[sel1.length]=option5;


	if (m){
			var cod= conf[m][key].split(":");
			for (i=0;i<cod.length;i++){
				var newOption = new Option(); // Create a new instance of ListItem 
				newOption.text = cod[i]; 
				newOption.value = cod[i]; 
				sel.options[sel.length] = newOption; //Append the item in Target Listbox
			}
			var index;
			for (i=0;i<cod.length;i++){
				for (j=0;j<sel1.options.length;j++){
					if (cod[i]==sel1.options[j].value) index=j;
				}
				sel1.remove(index);
			}			
		
	}else{
			var cod= conf[sip.options[sip.selectedIndex].value][key].split(":");
			for (i=0;i<cod.length;i++){
				var newOption = new Option(); // Create a new instance of ListItem 
				newOption.text = cod[i]; 
				newOption.value = cod[i]; 
				sel.options[sel.length] = newOption; //Append the item in Target Listbox
			}
			var index;
			for (i=0;i<cod.length;i++){
				for (j=0;j<sel1.options.length;j++){
					if (cod[i]==sel1.options[j].value) index=j;
				}
				sel1.remove(index);
			}
		}
	}
}
//ENDE parameter's functions

function resize(){
	if(window.sizeToContent) window.sizeToContent();
}
function closeW(){
	this.window.close();
}

function move(Orig, Dest){
	var varFromBox = document.getElementById(Orig);
	var varToBox = document.getElementById(Dest);
	if ((varFromBox != null) && (varToBox != null)) 
	{ 
		if(varFromBox.length < 1) 
		{
			alert('There are no items in the source ListBox');
			return false;
		}
		if(varFromBox.options.selectedIndex == -1) // when no Item is selected the index will be -1

		{
			alert('Please select an Item to move');
			return false;
		}
		while ( varFromBox.options.selectedIndex >= 0 ) 
		{ 
			var newOption = new Option(); // Create a new instance of ListItem 

			newOption.text = varFromBox.options[varFromBox.options.selectedIndex].text; 
			newOption.value = varFromBox.options[varFromBox.options.selectedIndex].value; 
			varToBox.options[varToBox.length] = newOption; //Append the item in Target Listbox

			varFromBox.remove(varFromBox.options.selectedIndex); //Remove the item from Source Listbox 

		} 
	}
	return false; 
}

function selectall(){
	selectBox = document.getElementById('sel');
	for (var i = 0; i < selectBox.options.length; i++) {
		selectBox.options[i].selected = true;
	}
}
function up() {
	obj=document.getElementById('sel');
	index=obj.selectedIndex;
	if (index>0) change(obj,index,index-1);
}

function down() {
	obj=document.getElementById('sel');
	index=obj.selectedIndex;
	if (index!=-1 && index<obj.length-1)
		change(obj,index,index+1);
}
function change(obj,num1,num2) {
	proVal=obj.options[num1].value;
	proTex=obj.options[num1].text;
	obj.options[num1].value=obj.options[num2].value;
	obj.options[num1].text=obj.options[num2].text;
	obj.options[num2].value=proVal;
	obj.options[num2].text=proTex;
	obj.selectedIndex=num2;
}

function showdef(){
	//Configuration für neue Parameter
	var conf=new Object();
	//Configuration für die Parameter die schon vorprogrammiert sind
	var conf1=new Object();
	var config;
	<?php
	$e=hol_daten();
	echo "config='".$e[0]['config']."';";
	
	$conf=showconf($e);
	if ($conf!=NULL){
		foreach ($conf as $key => $value){
			echo "conf1[\"".$key."\"]=new Object();";
			echo "conf[\"".$key."\"]=new Object();";
			foreach ($conf[$key] as $key1 => $value1){
				echo "conf[\"".$key."\"][\"".$key1."\"]=\"".$value1."\";";
				if (!in_array($key1,$config_values))
				echo "conf1[\"".$key."\"][\"".$key1."\"]=\"".$value1."\";";
			}
		}
	}
	?>
	var c=config.split(",");
	for (i=0;i<c.length;i++){
		var v=c[i].split("=");
		if (v[0]=='codecs'){
			document.getElementById('sel').disabled=false;
			document.getElementById('sel1').disabled=false;
		}else{
			var field=document.getElementById(v[0]);
			if (field!=null) field.disabled=false;
		}
		var check_def=document.getElementById("def_"+v[0]);
		if (check_def!=null) check_def.checked=false;
	}
	var from_to=document.getElementById("from_to");
	var from_isdn=document.getElementById("from_isdn");
	var to_isdn=document.getElementById("to_isdn");
	var from_sip=document.getElementById("from_sip");
	var to_sip=document.getElementById("to_sip");
	var manualsipfrom=document.getElementById("manualsipfrom");
	var manualsipto=document.getElementById("manualsip");

	
	if (from_to.options[from_to.selectedIndex].value=="sip-isdn"){
		for (var key in conf[to_isdn.options[to_isdn.selectedIndex].value]){
			screen(key,conf,to_isdn);
			pres(key,conf,to_isdn);
			ec(key,conf,to_isdn);
			ectl(key,conf,to_isdn);
			dialplans(key,conf,to_isdn);
			prefixes(key,conf,to_isdn);
			bearer_cap(key,conf,to_isdn);
			cd(key,conf,from_isdn);
		}
		if (from_sip.options[from_sip.selectedIndex].value=="manual"){
			for (var key in conf[manualsipfrom.value]){
				ea(key,conf,from_sip,manualsipfrom.value);
				t38(key,conf,from_sip,manualsipfrom.value);
				dtmfmode(key,conf,from_sip,manualsipfrom.value);
				codecs(key,conf,from_sip,manualsipfrom.value);
			}
		}

		for (var key in conf[from_sip.options[from_sip.selectedIndex].value]){
				ea(key,conf,from_sip);
				t38(key,conf,from_sip);
				dtmfmode(key,conf,from_sip);
				codecs(key,conf,from_sip);				
		}
		for (var key in conf1[to_isdn.options[to_isdn.selectedIndex].value]){
			document.getElementById('l'+key).innerHTML='(def '+conf1[to_isdn.options[to_isdn.selectedIndex].value][key]+')';
		}
	}else if (from_to.options[from_to.selectedIndex].value=="isdn-sip"){
		for (var key in conf[from_isdn.options[from_isdn.selectedIndex].value]){
			screen(key,conf,from_isdn);
			pres(key,conf,from_isdn);
			ec(key,conf,from_isdn);
			ectl(key,conf,from_isdn);
			dialplans(key,conf,from_isdn);
			prefixes(key,conf,from_isdn);
			bearer_cap(key,conf,from_isdn);
			cd(key,conf,from_isdn);
		}
		
		if (to_sip.options[to_sip.selectedIndex].value=="manual"){
			for (var key in conf[manualsipto.value]){
				ea(key,conf,to_sip,manualsipto.value);
				t38(key,conf,to_sip,manualsipto.value);
				dtmfmode(key,conf,to_sip,manualsipto.value);
				codecs(key,conf,to_sip,manualsipto.value);
			}
		}
		for (var key in conf[to_sip.options[to_sip.selectedIndex].value]){
				ea(key,conf,to_sip);
				t38(key,conf,to_sip);
				dtmfmode(key,conf,to_sip);
				codecs(key,conf,to_sip);
		}
		for (var key in conf1[from_isdn.options[from_isdn.selectedIndex].value]){
			document.getElementById('l'+key).innerHTML='(def '+conf1[from_isdn.options[from_isdn.selectedIndex].value][key]+')';
		}
	}else if (from_to.options[from_to.selectedIndex].value=="isdn-isdn"){
		for (var key in conf[from_isdn.options[from_isdn.selectedIndex].value]){
			screen(key,conf,from_isdn);
			pres(key,conf,from_isdn);
			ec(key,conf,from_isdn);
			ectl(key,conf,from_isdn);
			dialplans(key,conf,from_isdn);
			prefixes(key,conf,from_isdn);
			bearer_cap(key,conf,from_isdn);
			cd(key,conf,from_isdn);
		}
		for (var key in conf1[from_isdn.options[from_isdn.selectedIndex].value]){
			document.getElementById('l'+key).innerHTML='(def '+conf1[from_isdn.options[from_isdn.selectedIndex].value][key]+')';
		}
	}
}

function hidec(){
        var configt=document.getElementById('configt');
        configt.style.display="none";
}

function show_config(){
        var configt=document.getElementById('configt');
        if (configt.style.display=="none"){
                configt.style.display="";
        }else{
                configt.style.display="none";
        }
}

function disable(){
 var ec= document.getElementById("ec");
 ec.disabled=true;
 var ectl= document.getElementById("ectl");
 ectl.disabled=true;
 var dnumplan = document.getElementById("dnumplan");
 dnumplan.disabled=true;
 var rnumplan= document.getElementById("rnumplan");
 rnumplan.disabled=true;
 var onumplan= document.getElementById("onumplan");
 onumplan.disabled=true;
 var cpnnumplan= document.getElementById("cpnnumplan");
 cpnnumplan.disabled=true;
 var unknownprefix= document.getElementById("unknownprefix");
 unknownprefix.disabled=true;
 var internationalprefix= document.getElementById("internationalprefix");
 internationalprefix.disabled=true;
 var nationalprefix= document.getElementById("nationalprefix");
 nationalprefix.disabled=true;
 var privateprefix= document.getElementById("privateprefix");
 privateprefix.disabled=true;
 var localprefix= document.getElementById("localprefix");
 localprefix.disabled=true;
 var screen= document.getElementById("screen");
 screen.disabled=true;
 var pres= document.getElementById("pres");
 pres.disabled=true;
 var ea= document.getElementById("ea");
 ea.disabled=true;
 var t38= document.getElementById("t38");
 t38.disabled=true;
 var dtmfmode= document.getElementById("dtmfmode");
 dtmfmode.disabled=true;
 var codecs= document.getElementById("sel");
 codecs.disabled=true;
 var codecs1= document.getElementById("sel1");
 codecs1.disabled=true;
 var bearer_cap= document.getElementById("bearer_cap");
 bearer_cap.disabled=true;
 var cd= document.getElementById("cd");
 cd.disabled=true;

}

function hide_elements(){
	hidec();
	var from_to=document.getElementById("from_to");
	var FromSipBox=document.getElementById("FromSipBox");
	var FromIsdnBox=document.getElementById("FromIsdnBox");
	var manualSip=document.getElementById("manualsip");
	var manualSipFrom=document.getElementById("manualsipfrom");
	var toSipBox=document.getElementById("toSipBox");
	var toIsdnBox=document.getElementById("toIsdnBox");
	var toSip=document.getElementById("to_sip");
	var fromSip=document.getElementById("from_sip");
	var t38_tr=document.getElementById("t38_tr");
	var ea_tr=document.getElementById("ea_tr");
	var dtmf_tr=document.getElementById("dtmf_tr");
	var codecs_tr=document.getElementById("codecs_tr");
	if((from_to!=null) && (FromSipBox!=null) && (FromIsdnBox!=null) && (manualSip!=null) && (manualSipFrom!=null) && (toSipBox!=null) && (toIsdnBox!=null) && (toSip!=null) && (fromSip!=null)){
		if (from_to.options[from_to.selectedIndex].value=="sip-isdn"){
			t38_tr.style.display="";
			ea_tr.style.display="";
			dtmf_tr.style.display="";
			codecs_tr.style.display="";
			FromIsdnBox.style.display="none";
			FromSipBox.style.display="";
			toSipBox.style.display="none";
			toIsdnBox.style.display="";
			if (fromSip.options[fromSip.selectedIndex].value=="manual"){
				manualSipFrom.style.display="";
			}else{
				manualSipFrom.style.display="none";
			}
		}else if (from_to.options[from_to.selectedIndex].value=="isdn-sip"){
			t38_tr.style.display="";
			ea_tr.style.display="";
			dtmf_tr.style.display="";
			codecs_tr.style.display="";
			FromSipBox.style.display="none";
			FromIsdnBox.style.display="";
			toSipBox.style.display="";
			toIsdnBox.style.display="none";
			if (toSip.options[toSip.selectedIndex].value=="manual"){
				manualSip.style.display="";
			}else{
				manualSip.style.display="none";
			}
		}else if (from_to.options[from_to.selectedIndex].value=="isdn-isdn"){
			t38_tr.style.display="none";
			ea_tr.style.display="none";
			dtmf_tr.style.display="none";
			codecs_tr.style.display="none";
			FromSipBox.style.display="none";
			FromIsdnBox.style.display="";
			toSipBox.style.display="none";
			toIsdnBox.style.display="";
			manualSip.style.display="none";			
		}
	}
}



function show(){
	var ports_tr=document.getElementById('ports_tr');
	var group_tr=document.getElementById('group_tr');
	var dest_tr_isdn=document.getElementById('dest_tr_isdn');
	var dest_tr_sip=document.getElementById('dest_tr_sip');
	var modes=document.getElementById('modes');
	var ports=document.getElementById('ports');
	var group=document.getElementById('group');
	var Elemente=document.getElementsByTagName('select');
	if ((group!=null) && (ports_tr!=null) && (group_tr!=null) && (dest_tr_isdn!=null) && (dest_tr_sip!=null) && (modes!=null) && (ports!=null) && (Elemente!=null)){
		if (group.options[group.selectedIndex].value!="-"){
			var pruef="p-" + group.options[group.selectedIndex].value;
			for (var el in Elemente){
				if((typeof el.name!="undefined") && (typeof el.style!="undefined")){
					if ((el.name!="group") && (el.name!=pruef) && (el.name.match(/p-*/)!=-1)) el.style.display="none";
					else el.style.display="";
				}
			}
			ports_tr.style.display="";
			modes.style.display="";
		}else{

			for (var el in Elemente){
				var pruef="p-"+group.options[group.selectedIndex].value;
				if((typeof el.name!="undefined") && (typeof el.style!="undefined")){
					if ((el.name!="group") && (el.name.match(/p-*/)!=-1) && (el.name!=pruef)) el.style.display="none";
				}
			}

			modes.style.display="";
			ports_tr.style.display="none";
		}
		if (modes.options[modes.selectedIndex].value=="fsip"){
			dest_tr_isdn.style.display="none";
			dest_tr_sip.style.display="";
		}else{
			dest_tr_isdn.style.display="";
			dest_tr_sip.style.display="none";
		}
	}
}


function is_submit(form)
{
	var elem = document.getElementsByTagName("input");
	for (i=0;i<elem.length;i++){
		if (elem[i].type=="text"){
			elem[i].value= elem[i].value.replace(/\"/g,"\"");
			elem[i].value= elem[i].value.replace(/\'/g,"\"");
		}
	}
	return true;
}
</script>
<TITLE>DIALPLAN</TITLE>
<link rel="stylesheet" href="../includes/template_css.css" type="text/css">
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
</head>
<body onload='disable(); hide_elements(); resize(); showdef();'>
<?php
@session_start();
if((isset($_SESSION['beroari_time']))&&(($_SESSION['beroari_time']+1200)<time())){
        @session_unset();
        @session_destroy();
        echo "<script>window.opener.location='../index.php?m=sip'</script>";
        echo "<script>this.window.close();</script>";
}else{
        $_SESSION['beroari_time']=time();
}


$ba = new beroAri();
echo "<script>window.opener.location='../index.php?m=dialplan'</script>";
print "<br><table align=\"center\" bgcolor=\"#f0f0ec\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"690\">
<colgroup>
<col width=\"39\"></col>
</colgroup>
<tbody><tr>
<td colspan=\"2\"><img src=\"../includes/images/bg_top.png\"></td>
</tr>
<tr>
<td background=\"../includes/images/bg_left.png\"  style='background-repeat:repeat-y;' width=\"30\"><img src=\"../includes/images/trans.gif\" height=\"10\" width=\"39\" border=\"0\"></td>
<td><p align='left'><img src=\"../includes/images/berofixlogo.png\"/></p><hr size= \"1\" noshade><p><center><font size='3'>DIALPLAN</font></p><br><br>";



function showconf($e){
	$isgw = new isgwtelnet();
	$result=$isgw->isgw_login();
	if ($result!=false){
	$dialplanc=$isgw->isgw_dialplanconfig();
	$zeilen=split("\n",$dialplanc);
	$ba=new beroAri();
	//$conf ist die Variable fürs Hash
	$conf=null;
	//Gruppen default Configuration
	$query=$ba->select("SELECT distinct gr as gr, config from isdn WHERE gr!='NULL' group by gr");
	while ($entry=$ba->fetch_array($query)){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.+)'/",$zeile,$res);
				if ($res['bez']=="i")
				$conf['g:'.$entry['gr']][$res['name']]=$res['def'];
			}

		}
	}
	//Ports default Configuration
	$query=$ba->select("SELECT port from isdn");
	while ($entry=$ba->fetch_array($query)){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.+)'/",$zeile,$res);
				if ($res['bez']=="i")
				$conf[$entry['port']][$res['name']]=$res['def'];
			}

		}
	}
	//Gruppen ISDN Configuration
	$query=$ba->select("SELECT distinct gr as gr, config from isdn WHERE gr!='NULL' group by gr");
	while ($entry=$ba->fetch_array($query)){
		$configs=split(',',$entry['config']);
		foreach ($configs as $value){
			$key=split('=',$value);
			if ($key[0]!="") $conf['g:'.$entry['gr']][$key[0]]=$key[1];
		}
	}
	//Ports ISDN Configuration
	$query=$ba->select("SELECT port, config from isdn");
	while ($entry=$ba->fetch_array($query)){
		$configs=split(',',$entry['config']);
		foreach ($configs as $value){
			$key=split('=',$value);
			if ($key[0]!="") $conf[$entry['port']][$key[0]]=$key[1];
		}
	}
	//SIP default configuration
	$query=$ba->select("SELECT name from sip");
	while ($entry=$ba->fetch_array($query)){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.+)'/",$zeile,$res);
				if ($res['bez']=="s")
				$conf['p:'.$entry['name']][$res['name']]=$res['def'];
			}

		}
	}
	//SIP Configuration
	$query=$ba->select("SELECT name, config from sip");
	while ($entry=$ba->fetch_array($query)){
		$configs=split(',',$entry['config']);
		foreach ($configs as $value){
			$key=split('=',$value);
			if ($key[0]!="") $conf['p:'.$entry['name']][$key[0]]=$key[1];
		}
	}
	
	
		if ($e[0]['config']!=""){
		$configs=split(',',$e[0]['config']);
		foreach ($configs as $value){
			$key=split('=',$value);
			if (($key[0]!="")) {
				$conf[$e[0]['fromId']][$key[0]]=$key[1];
				$conf[$e[0]['toId']][$key[0]]=$key[1];
			}
		}
	}

}
	return $conf;
}
function show_confadd($config_values,$e){
	$isgw = new isgwtelnet();
	$result=$isgw->isgw_login();
		if ($result!=false){

	$dialplanc=$isgw->isgw_dialplanconfig();
	$zeilen=split("\n",$dialplanc);
	foreach ($zeilen as $zeile){
		
		if (stripos($zeile,'[')===0){
			preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) (?<def>.+)/",$zeile,$res);
			if (!in_array($res['name'],$config_values)){
				echo "<tr><td>".$res['desc']." <label id='l".$res['name']."'></label></td><td><input  id='".$res['name']."' size='7' name='config_".$res['name']."' ></td></tr>";
			}
		}
	}
}
}

//print_r(showconf());
function showdefmc($config_values,$e){
	$isgw = new isgwtelnet();
	$result=$isgw->isgw_login();
	if ($result!=false){
	$dialplanc=$isgw->isgw_dialplanconfig();
    $zeilen=split("\n",$dialplanc);
	foreach ($zeilen as $zeile){
		if (stripos($zeile,'[')===0){
			preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) (?<def>.+)/",$zeile,$res);
			if (!in_array($res['name'],$config_values))
			echo "<tr><td>".$res['desc']." <label id='l".$res['name']."'></label></td><td><input  id='".$res['name']."' size='7' name='config_".$res['name']."' ></td></tr>";
		}
	}
				
	$conf=showconf($e);
	if ($e[0]['direction']=="sip-isdn" ){
		if ($e[0]['config']!=""){
			$configs=split(',',$e[0]['config']);
			foreach ($configs as $value){
				$key=split('=',$value);
				if (($key[0]!="") && ($conf[$e[0]['toId']][$key[0]]!=$key[1]) && !in_array($key[0],$config_values)){
					echo "<script>var ".$key[0]."=document.getElementById('".$key[0]."'); ".$key[0].".value='".$key[1]."';</script>";
				}elseif (($key[0]!="") && ($key[1]=='') && !in_array($key[0],$config_values)){
					echo "<script>var ".$key[0]."=document.getElementById('".$key[0]."'); ".$key[0].".value=\"''\";</script>";
				}
			}
		}
	}
	if ($e[0]['direction']=="isdn-sip"){
		if ($e[0]['config']!=""){
			$configs=split(',',$e[0]['config']);
			foreach ($configs as $value){
				$key=split('=',$value);
				if (($key[0]!="") && ($conf[$e[0]['fromId']][$key[0]]!=$key[1]) && !in_array($key[0],$config_values)) {
					echo "<script>var ".$key[0]."=document.getElementById('".$key[0]."'); ".$key[0].".value='".$key[1]."';</script>";
				}elseif (($key[0]!="") && ($key[1]=='') && !in_array($key[0],$config_values) ){
					echo "<script>var ".$key[0]."=document.getElementById('".$key[0]."'); ".$key[0].".value=\"''\";</script>";
				}
			}
		}
	}
	}

}

function fromId($frId,$direction) {
	$ba=new beroAri();
	$b=false;
	if ($frId!="" || ($frId=="" && $direction=="sip-isdn")){
		if ($direction=='sip-isdn'){
			$ret="<fieldset id='FromIsdnBox' onmouseover=\"Tip('" . DIALPLAN_FROM_ISDN . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
			$ret.="<select name='fromIdIsdn' id='from_isdn' onchange='showdef();'>";
			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
			}
			$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
			}
			$ret.="</select>";
			$ret.="</fieldset>";
			$ret.="<fieldset id='FromSipBox' onmouseover=\"Tip('" . DIALPLAN_FROM_SIP . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
			$ret.="<select id='from_sip' name='fromIdSip' onchange='showdef(); hide_elements();'>";

			//check if manual
			while ($entry=$ba->fetch_array($query)){
				if ((substr_count($frId,"p:")==1) && ("p:".$entry['name']==$frId)){
					$ret.="<option value='p:".$entry['name']."' selected>p:".$entry['name']."</option>";
				}else{
					$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
				}
			}

			if (substr_count($frId,"p:")==0){
				$ret.="<option value='manual' selected>Manual Address</option>";
				$ret.="</select><br>";
				$ret.="<input type='text' name='manualsipfrom' id='manualsipfrom' value='".stripslashes($frId)."'>";
			}else{
				$ret.="<option value='manual'>Manual Address</option>";
				$ret.="</select><br>";
				$ret.="<input type='text' name='manualsipfrom' id='manualsipfrom'>";
			}
			
		}
		if ($direction=='isdn-sip'){
			$tmp=split(", ",$frId);
			$ret="<fieldset id='FromIsdnBox' onmouseover=\"Tip('" . DIALPLAN_FROM_ISDN . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
			$ret.="<select name='fromIdIsdn' id='from_isdn' onchange='showdef();'>";
			while ($entry=$ba->fetch_array($query)){
				foreach($tmp as $value){
					if ((substr_count($value,"g:")==1) && ("g:".$entry['gr']==$value)){
						$ret.="<option value='g:".$entry['gr']."' selected>g:".$entry['gr']."</option>";
						$b=true;			
					}
				}
				if(!$b)  $ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
				$b=false;
			}
			$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
			while ($entry=$ba->fetch_array($query)){
				foreach($tmp as $value){
					if ((substr_count($value,"g:")==0) && ($entry['port']==$value)){
						$ret.="<option value='".$entry['port']."' selected>".$entry['port']."</option>";
						$b=true;
					}
				}
				if (!$b)  $ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
				$b=false;
			}
			$ret.="</select>";
			$ret.="</fieldset>";
			
			$ret.="<fieldset id='FromSipBox' onmouseover=\"Tip('" . DIALPLAN_FROM_SIP . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
			$ret.="<select id='from_sip' name='fromIdSip' onchange='showdef(); hide_elements();'>";
			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
			}
			$ret.="<option value='manual'>Manual Address</option>";
			$ret.="</select><br>";
			$ret.="<input type='text' name='manualsipfrom' id='manualsipfrom'>";
			$ret.="</fieldset>";
		}
		if ($direction=='isdn-isdn'){
			$tmp=split(", ",$frId);
			$ret="<fieldset id='FromIsdnBox' onmouseover=\"Tip('" . DIALPLAN_FROM_ISDN . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
			$ret.="<select name='fromIdIsdn' id='from_isdn' onchange='showdef();'>";
			while ($entry=$ba->fetch_array($query)){
				foreach($tmp as $value){
					if ((substr_count($value,"g:")==1) && ("g:".$entry['gr']==$value)){
						$ret.="<option value='g:".$entry['gr']."' selected>g:".$entry['gr']."</option>";
						$b=true;			
					}
				}
				if(!$b)  $ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
				$b=false;
			}
			$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
			while ($entry=$ba->fetch_array($query)){
				foreach($tmp as $value){
					if ((substr_count($value,"g:")==0) && ($entry['port']==$value)){
						$ret.="<option value='".$entry['port']."' selected>".$entry['port']."</option>";
						$b=true;
					}
				}
				if (!$b)  $ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
				$b=false;
			}
			$ret.="</select>";
			$ret.="</fieldset>";
			
			$ret.="<fieldset id='FromSipBox' onmouseover=\"Tip('" . DIALPLAN_FROM_SIP . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
			$ret.="<select id='from_sip' name='fromIdSip' onchange='showdef(); hide_elements();'>";
			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
			}
			$ret.="<option value='manual'>Manual Address</option>";
			$ret.="</select><br>";
			$ret.="<input type='text' name='manualsipfrom' id='manualsipfrom'>";
			$ret.="</fieldset>";
		}

	}else{
		$ret="<fieldset id='FromIsdnBox' onmouseover=\"Tip('" . DIALPLAN_FROM_ISDN . "')\" onmouseout='UnTip()'>";
		$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
		$ret.="<select name='fromIdIsdn' id='from_isdn' onchange='showdef();'>";
		while ($entry=$ba->fetch_array($query)){
			$ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
		}
		$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
		while ($entry=$ba->fetch_array($query)){
			$ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
		}
		$ret.="</select>";
		$ret.="</fieldset>";
		$ret.="<fieldset id='FromSipBox' onmouseover=\"Tip('" . DIALPLAN_FROM_SIP . "')\" onmouseout='UnTip()'>";
		$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
		$ret.="<select id='from_sip' name='fromIdSip' onchange='showdef(); hide_elements();'>";
		while ($entry=$ba->fetch_array($query)){
			$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
		}
		$ret.="<option value='manual'>Manual Address</option>";
		$ret.="</select><br>";
		$ret.="<input type='text' name='manualsipfrom' id='manualsipfrom'>";
		$ret.="</fieldset>";
	}
	return $ret;
}

function toId($toId, $direction) {
	$ba=new beroAri();
	if ($toId!="" || ($toId=="" && $direction=="isdn-sip")){
		if (($direction=='sip-isdn')){
			$ret="<fieldset id='toIsdnBox' onmouseover=\"Tip('" . DIALPLAN_TO_ISDN . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
			$ret.="<select name='toIsdn' id='to_isdn' onchange='showdef()'>";
			while ($entry=$ba->fetch_array($query)){
				if ((substr_count($toId,"g:")==1) && ("g:".$entry['gr']==$toId)){
					$ret.="<option value='g:".$entry['gr']."' selected>g:".$entry['gr']."</option>";
				}else{
					$ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
				}
			}
			$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
			while ($entry=$ba->fetch_array($query)){
				if ((substr_count($toId,"g:")==0) && ($entry['port']==$toId)){
					$ret.="<option value='".$entry['port']."' selected>".$entry['port']."</option>";
				}else{
					$ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
				}
			}
			$ret.="</select>";
			$ret.="</fieldset>";
			$ret.="<fieldset id='toSipBox' onmouseover=\"Tip('" . DIALPLAN_TO_SIP . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
			$ret.="<select id='to_sip' name='toSip' onchange='showdef(); hide_elements();'>";
			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
			}
			$ret.="<option value='manual'>Manual Address</option>";
			$ret.="</select><br>";
			$ret.="<input type='text' name='manualsip' id='manualsip'>";
			$ret.="</fieldset>";
		}
		if ($direction=='isdn-isdn'){
			$ret="<fieldset id='toIsdnBox' onmouseover=\"Tip('" . DIALPLAN_TO_ISDN . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
			$ret.="<select name='toIsdn' id='to_isdn' onchange='showdef()'>";
			while ($entry=$ba->fetch_array($query)){
				if ((substr_count($toId,"g:")==1) && ("g:".$entry['gr']==$toId)){
					$ret.="<option value='g:".$entry['gr']."' selected>g:".$entry['gr']."</option>";
				}else{
					$ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
				}
			}
			$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
			while ($entry=$ba->fetch_array($query)){
				if ((substr_count($toId,"g:")==0) && ($entry['port']==$toId)){
					$ret.="<option value='".$entry['port']."' selected>".$entry['port']."</option>";
				}else{
					$ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
				}
			}
			$ret.="</select>";
			$ret.="</fieldset>";
			$ret.="<fieldset id='toSipBox' onmouseover=\"Tip('" . DIALPLAN_TO_SIP . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
			$ret.="<select id='to_sip' name='toSip' onchange='showdef(); hide_elements();'>";
			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
			}
			$ret.="<option value='manual'>Manual Address</option>";
			$ret.="</select><br>";
			$ret.="<input type='text' name='manualsip' id='manualsip'>";
			$ret.="</fieldset>";
		}
		if (($direction=='isdn-sip')){
			$ret="<fieldset id='toIsdnBox' onmouseover=\"Tip('" . DIALPLAN_TO_ISDN . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
			$ret.="<select name='toIsdn' id='to_isdn' onchange='showdef()'>";

			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
			}
			$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
			while ($entry=$ba->fetch_array($query)){
				$ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
			}
			$ret.="</select><br>";
			$ret.="</fieldset>";

			$ret.="<fieldset id='toSipBox' onmouseover=\"Tip('" . DIALPLAN_TO_SIP . "')\" onmouseout='UnTip()'>";
			$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
			$ret.="<select id='to_sip' name='toSip' onchange='showdef(); hide_elements();'>";

			//check if manual
			while ($entry=$ba->fetch_array($query)){
				if ((substr_count($toId,"p:")==1) && ("p:".$entry['name']==$toId)){
					$ret.="<option value='p:".$entry['name']."' selected>p:".$entry['name']."</option>";
				}else{
					$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
				}
			}

			if (substr_count($toId,"p:")==0){
				$ret.="<option value='manual' selected>Manual Address</option>";
				$ret.="</select><br>";
				$ret.="<input type='text' name='manualsip' id='manualsip' value='".stripslashes($toId)."'>";
			}else{
				$ret.="<option value='manual'>Manual Address</option>";
				$ret.="</select><br>";
				$ret.="<input type='text' name='manualsip' id='manualsip'>";
			}
			$ret.="</fieldset>";
		}
	}else{
		$ret="<fieldset id='toIsdnBox' onmouseover=\"Tip('" . DIALPLAN_TO_ISDN . "')\" onmouseout='UnTip()'>";
		$query=$ba->select("SELECT distinct gr from isdn WHERE gr!='NULL'");
		$ret.="<select name='toIsdn' id='to_isdn' onchange='showdef()'>";
		while ($entry=$ba->fetch_array($query)){
			$ret.="<option value='g:".$entry['gr']."'>g:".$entry['gr']."</option>";
		}
		$query=$ba->select("SELECT port from isdn WHERE gr!='NULL'");
		while ($entry=$ba->fetch_array($query)){
			$ret.="<option value='".$entry['port']."'>".$entry['port']."</option>";
		}
		$ret.="</select><br>";
		$ret.="</fieldset>";
		$ret.="<fieldset id='toSipBox' onmouseover=\"Tip('" . DIALPLAN_TO_SIP . "')\" onmouseout='UnTip()'>";
		$query=$ba->select("SELECT name from sip where type='proxy' or type='both'");
		$ret.="<select id='to_sip' name='toSip' onchange='showdef(); hide_elements();'>";
		while ($entry=$ba->fetch_array($query)){
			$ret.="<option value='p:".$entry['name']."'>p:".$entry['name']."</option>";
		}
		$ret.="<option value='manual'>Manual Address</option>";
		$ret.="</select><br>";
		$ret.="<input type='text' name='manualsip' id='manualsip'>";
		$ret.="</fieldset>";
	}
	return $ret;
}

function from_to($direction) {
	if (($direction == 'sip-isdn')) {
		$ret = "<select  id='from_to' name='from_to' onchange='hide_elements(); showdef();' onmouseover=\"Tip('" . DIALPLAN_DIRECTION . "')\" onmouseout='UnTip()'>".
			"<option value='sip-isdn' selected>SIP-ISDN</option>" .
			"<option value='isdn-sip'>ISDN-SIP</option>".
			"<option value='isdn-sip'>ISDN-ISDN</option>".
			"</select>";
	} elseif (($direction == 'isdn-sip')) {
		$ret = "<select id='from_to' name='from_to' onchange='hide_elements(); showdef();' onmouseover=\"Tip('" . DIALPLAN_DIRECTION . "')\" onmouseout='UnTip()'>".
			"<option value='sip-isdn'>SIP-ISDN</option>".
			"<option value='isdn-sip' selected>ISDN-SIP</option>" .
			"<option value='isdn-sip'>ISDN-ISDN</option>".
			"</select>";
	} elseif (($direction == 'isdn-isdn')) {
		$ret = "<select id='from_to' name='from_to' onchange='hide_elements(); showdef();' onmouseover=\"Tip('" . DIALPLAN_DIRECTION . "')\" onmouseout='UnTip()'>".
			"<option value='sip-isdn'>SIP-ISDN</option>".
			"<option value='isdn-sip'>ISDN-SIP</option>" .
			"<option value='isdn-isdn' selected>ISDN-ISDN</option>".
			"</select>";
	} else {
		$ret = "<select id='from_to' name='from_to' onchange='hide_elements(); showdef();' onmouseover=\"Tip('" . DIALPLAN_DIRECTION . "')\" onmouseout='UnTip()'>".
			"<option value='sip-isdn' selected>SIP-ISDN</option>" .
			"<option value='isdn-sip'>ISDN-SIP</option>".
			"<option value='isdn-isdn'>ISDN-ISDN</option>".
			"</select>";
	}
	return $ret;
}

function hol_daten(){
	$ba=new beroAri();
	if (isset($_GET['isdnid'])){
		$q = $ba->select("select fromId, dest, src, config from dialplan where isdnid='".$_GET['isdnid']."' and direction='isdn-sip'");
		$en=$ba->fetch_array($q);
		$q1 = $ba->select("select toId, newDest, newSrc from dialplan where isdnid='".$_GET['isdnid']."' and direction='sip-isdn'");
		$en1=$ba->fetch_array($q1);
		$e[0]['direction'] = "isdn-isdn";
		$e[0]['fromId'] = $en['fromId'];
		/*echo "fromId:".$en['fromId']."<br>";
		echo "toId:".$en1['toId']."<br>";*/

		$e[0]['toId'] = $en1['toId'];
		$e[0]['dest'] = $en['dest'];
		$e[0]['newDest'] = $en1['newDest'];
		$e[0]['src'] = $en['src'];
		$e[0]['newSrc'] = $en1['newSrc'];
		$e[0]['config'] = $en['config'];
		return $e;
	
	}elseif (isset($_GET['id'])){
		$q=$ba->select("select * from dialplan where id='".$_GET['id']."'");
		$e=sqlite_fetch_all($q);
		return $e;
		
	}elseif (isset($_GET['copy'])){
		$q=$ba->select("select * from dialplan where id='".$_GET['copy']."'");
		$e=sqlite_fetch_all($q);
		return $e;
	}
	
}
	$e=hol_daten();
	echo "<script type=\"text/javascript\" src=\"../includes/notes/wz_tooltip.js\"></script>
		<center>
		<form class='extensions_form' name='dialplan' action='dialplan_submit.php' method='POST' onsubmit='return is_submit(this);'>
		<table border='1' style='border-collapse:collapse;' width='320'>
		<tr>
		<td>
		<table border='0'>
		<tr>
		<td><b>Direction:</b></td>
		<td>".from_to($e[0]['direction'])."</td>
		</tr>
		<tr>
		<td><b>From ID:</b></td>
		<td>" . fromId($e[0]['fromId'], $e[0]['direction']) . "</td>
		</tr>
		<tr>
		<td><b>To ID:</b></td>
		<td>" . toId($e[0]['toId'], $e[0]['direction']) . "</td>
		</tr>
		<tr>
		<td><b>Destination:</b></td>
		<td><input type='text' name='dest' value='".stripslashes($e[0]['dest'])."' onmouseover=\"Tip('" . DIALPLAN_DESTINATION . "')\" onmouseout='UnTip()'></td>
		</tr>
		<tr>
		<td><b>New Destination:</b></td>
		<td><input type='text' name='newDest' value='".stripslashes($e[0]['newDest'])."' onmouseover=\"Tip('" . DIALPLAN_NEW_DESTINATION . "')\" onmouseout='UnTip()'></td>
		</tr>
		<tr>
		<td><b>Source:</b></td>
		<td><input type='text' name='src' value='".stripslashes($e[0]['src'])."' onmouseover=\"Tip('" . DIALPLAN_SOURCE . "')\" onmouseout='UnTip()'></td>
		</tr>
		<tr>
		<td><b>New Source:</b></td>
		<td><input type='text' name='newSrc' value='".stripslashes($e[0]['newSrc'])."' onmouseover=\"Tip('" . DIALPLAN_NEW_SOURCE . "')\" onmouseout='UnTip()'></td>
		</tr>
		<tr>
		<td align='center' colspan='2'><a href='#' onclick='show_config();'>more...</a></td>
		</tr>
		</table>
		</td>
		</tr>
		</table>
		<br/>
		<table border='1' cellspacing='0' id='configt' width='320' style='border-collapse:collapse;'>
		<tr><td>
		<table border='0'><tr><td colspan='3' align='center'><b>Configuration</b></td></tr>
		<tr><td colspan='2' ></td><td><b>Default</b></td></tr>
		<tr onmouseover=\"Tip('".EC."')\" onmouseout='UnTip()'>
			<td><b>EC</b></td>
		    <td>".ec()."</td>
		    <td><input type='checkbox' value='1' name='def_ec' id='def_ec' checked onclick='if (def_ec.checked) ec.disabled=true; else ec.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".EC_TAIL."')\" onmouseout='UnTip()'>
			<td><b>EC tail length</b></td>
			<td>".ec_tail()."</td>
		    <td><input type='checkbox' value='1' name='def_ectl' id='def_ectl' checked  onclick='if (def_ectl.checked) ectl.disabled=true; else ectl.disabled=false;'/></td>
			</tr> 
			<tr onmouseover=\"Tip('".DNUMPLAN."')\" onmouseout='UnTip()'>
			<td><b>dnumplan</b></td>
			<td>".dialplans('dnumplan')."</td>
		    <td><input type='checkbox' value='1' name='def_dnumplan' id='def_dnumplan' checked  onclick='if (def_dnumplan.checked) dnumplan.disabled=true; else dnumplan.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".RNUMPLAN."')\" onmouseout='UnTip()'>
			<td><b>rnumplan</b></td>
			<td>".dialplans('rnumplan')."</td>
		    <td><input type='checkbox' value='1' name='def_rnumplan' id='def_rnumplan' checked  onclick='if (def_rnumplan.checked) rnumplan.disabled=true; else rnumplan.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".ONUMPLAN."')\" onmouseout='UnTip()'>
			<td><b>onumplan</b></td>
			<td>".dialplans('onumplan')."</td>
			<td><input type='checkbox' value='1' name='def_onumplan' id='def_onumplan' checked  onclick='if (def_onumplan.checked) onumplan.disabled=true; else onumplan.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".CPNNUMPLAN."')\" onmouseout='UnTip()'>
			<td><b>cpnnumplan</b></td>
			<td>".dialplans('cpnnumplan')."</td>
			<td><input type='checkbox' value='1' name='def_cpnnumplan' id='def_cpnnumplan' checked  onclick='if (def_cpnnumplan.checked) cpnnumplan.disabled=true; else cpnnumplan.disabled=false;'/></td>
			</tr> 
			<tr onmouseover=\"Tip('".UNKNOWNPREFIX."')\" onmouseout='UnTip()'>
			<td><b>unknownprefix</b></td>
			<td>".prefixes('unknownprefix','')."</td>
		    <td><input type='checkbox' value='1' name='def_unknownprefix' id='def_unknownprefix' checked onclick='if (def_unknownprefix.checked) unknownprefix.disabled=true; else unknownprefix.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".INTERNATIONALPREFIX."')\" onmouseout='UnTip()'>
			<td><b>internationalprefix</b></td>
			<td>".prefixes('internationalprefix','00')."</td>
		    <td><input type='checkbox' value='1' name='def_internationalprefix' id='def_internationalprefix' checked onclick='if (def_internationalprefix.checked) internationalprefix.disabled=true; else internationalprefix.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".NATIONALPREFIX."')\" onmouseout='UnTip()'>
			<td><b>nationalprefix</b></td>
			<td>".prefixes('nationalprefix','0')."</td>
		    <td><input type='checkbox' value='1' name='def_nationalprefix' id='def_nationalprefix' checked onclick='if (def_nationalprefix.checked) nationalprefix.disabled=true; else nationalprefix.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".PRIVATEPREFIX."')\" onmouseout='UnTip()'>
			<td><b>privateprefix</b></td>
			<td>".prefixes('privateprefix','')."</td>
		    <td><input type='checkbox' value='1' name='def_privateprefix' id='def_privateprefix' checked onclick='if (def_privateprefix.checked) privateprefix.disabled=true; else privateprefix.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".LOCALPREFIX."')\" onmouseout='UnTip()'>
			<td><b>localprefix</b></td>
			<td>".prefixes('localprefix','')."</td>
			<td><input type='checkbox' value='1' name='def_localprefix' id='def_localprefix' checked onclick='if (def_localprefix.checked) localprefix.disabled=true; else localprefix.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".SCREENING."')\" onmouseout='UnTip()'>
			<td><b>screening</b></td>
		    <td>".screen()."</td>
   		    <td><input type='checkbox' value='1' name='def_screen' id='def_screen' checked onclick='if (def_screen.checked) screen.disabled=true; else screen.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".PRES."')\" onmouseout='UnTip()'>
			<td><b>presentation</b></td>
		    <td>".pres()."</td>
		    <td><input type='checkbox' value='1' name='def_pres' id='def_pres' checked onclick='if (def_pres.checked) pres.disabled=true; else pres.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".EA."')\" onmouseout='UnTip()' id='ea_tr'>
			<td><b>Early Audio</b></td>
		    <td>".ea()."</td>
   		    <td><input type='checkbox' value='1' name='def_ea' id='def_ea' checked onclick='if (def_ea.checked) ea.disabled=true; else ea.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".T38."')\" onmouseout='UnTip()' id='t38_tr'>
			<td><b>T.38 Support</b></td>
		    <td>".t38()."</td>
   		    <td><input type='checkbox' value='1' name='def_t38' id='def_t38' checked onclick='if (def_t38.checked) t38.disabled=true; else t38.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".DTMFMODE."')\" onmouseout='UnTip()' id='dtmf_tr'>
			<td><b>DTMF Mode</b></td>
		    <td>".dtmfmode()."</td>
		    <td><input type='checkbox' name='def_dtmfmode' id='def_dtmfmode' checked onclick='if (def_dtmfmode.checked) dtmfmode.disabled=true; else dtmfmode.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".CODECS."')\" onmouseout='UnTip()' id='codecs_tr'>
			<td><b>Codecs</b></td>
		    <td>".codecs()."</td>
   		    <td><input type='checkbox' value='1' name='def_codecs' id='def_codecs' checked 
   		    onclick='if (def_codecs.checked){ 
   		    		document.getElementById(\"sel\").disabled=true; 
   		    		document.getElementById(\"sel1\").disabled=true;
   		    	}else{ 
   		    		document.getElementById(\"sel\").disabled=false; 
   		    		document.getElementById(\"sel1\").disabled=false;
   		    	}'/></td>
			</tr>
			</tr>
			<tr onmouseover=\"Tip('".BEARER."')\" onmouseout='UnTip()'>
			<td><b>Bearer</b></td>
		    <td>".bearer_cap()."</td>
   		    <td><input type='checkbox' value='1' name='def_bearer_cap' id='def_bearer_cap' checked onclick='if (def_bearer_cap.checked) bearer_cap.disabled=true; else bearer_cap.disabled=false;'/></td>
			</tr>
			<tr onmouseover=\"Tip('".CD."')\" onmouseout='UnTip()'>
			<td><b>Call deflection</b></td>
		    <td>".cd()."</td>
   		    <td><input type='checkbox' value='1' name='def_cd' id='def_cd' checked onclick='if (def_cd.checked) cd.disabled=true; else cd.disabled=false;'/></td>
			</tr>";
		if (isset($_GET['id'])) {		
			showdefmc($config_values,$e);
			echo "</table></td></tr></table><br/><input name='id_upd' type='hidden' value='" . $_GET['id'] . "'>";
		} elseif ($_GET['copy']){
			showdefmc($config_values,$e);
			echo "</table></td></tr></table><br/>";
		}else{
	        show_confadd($config_values,$e);
			echo "</table></td></tr></table><br/>";
		}
		if ($_GET['isdnid']!=""){
			echo "<input name='isdnid' type='hidden' value='" . $_GET['isdnid'] . "'>";
		}
		echo "<input name='submit' type='submit' value='Save' onclick='selectall();' onmouseover=\"Tip('" . DIALPLAN_SAVE . "')\" onmouseout='UnTip()'>
		&nbsp&nbsp<input name='close' type='button' value='Close' onclick='javascript:closeW();' onmouseover=\"Tip('" . POPUPS_BUTTON_CLOSE . "')\" onmouseout='UnTip()'>
		</form>";


print "<hr size= \"1\" noshade>";
print "<br><a href=\"http://www.beronet.com\" target=\"_blank\" onfocus=\"if (this.blur()) { this.blur(); }\"><img src=\"../includes/images/beroLogo.gif\" align=\"right\" border=\"0\"></a>";
print "</center></td></tr>
<tr>
<td colspan=\"2\" style=\"background-repeat:no-repeat\" background=\"../includes/images/bg_bottom.png\"><img src=\"../includes/images/trans.gif\" border=\"0\" height=\"39\" width=\"10\"><div style=\"color: white;\" align=\"right\">&nbsp;&nbsp;&nbsp;</div>
</td></tr></table>";
?>
</center>
</body>
</html>

