<?php


/**
 * Klasse Debug
 */

class Debug {
	/*
	 * Die Funktion ports wird benutzt um alle ISDN Ports anzuzeigen.
	 */
	function ports() {
		//Ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();
		$qu = $ba->select("select * from isdn");
		//Alle Einträge von der Abfrage werden durchgelaufen
		while ($entry = $ba->fetch_array($qu)) {
			//Für jede Port wird ein checkbox erzeugt
			$select .= "<input type=checkbox name='ports[]' value='" . $entry['port'] . "' checked>" . $entry['port'] . "&nbsp;
			&nbsp;";

		}
		//Alle checkboxs werden zurückgegeben*/
		return $select;
	}

	function udp() {
		//Ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();
		$qu = $ba->select("select bindport from sip_general");
		return sqlite_fetch_single($qu);
	}
	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display($args) {

		require_once "./includes/amifunc.php";

		echo "<script language='javascript'>function checkallp(){
			var checkall = document.getElementById('checkall');
		var del = document.getElementsByName('ports[]');
		if (checkall.checked==true){
			for (i=0; i < del.length; i++){
				del[i].checked=true;
			}
		}else{
			for (i=0; i < del.length; i++){
				del[i].checked=false;
			}
		}

	}
	function dis(){
		var isdn_enable = document.getElementById('isdn_enable');
		var checkall = document.getElementById('checkall');
		var del = document.getElementsByName('ports[]');
		if (isdn_enable.checked==true){
			checkall.disabled=false;
			for (i=0; i < del.length; i++){
				del[i].disabled=false;
			}
		}else{
			checkall.disabled=true;
			for (i=0; i < del.length; i++){
				del[i].disabled=true;
			}
		}
	}
	</script>";
	if (file_exists("/tmp/debug-info.tar.gz")){
		$ret.="<br/><table bgcolor='#E41B17'>
			<tr>
			<td><a href='' style=\"color:white\" onclick=\"javascript:new_window('./misc/isdn_trace.php?option=isgw')\" onmouseover=\"Tip('".DEBUG_DOWNLOAD_COREDUMPS."')\" onmouseout='UnTip()'><b>Download ISGW Coredumps</b></a></td>
			<td><a class='popup_download' href=\"misc/deletedatei.php?table=debug\" onclick=\"if(confirm('Do you want to delete the ISGW Coredumps?') == false){return false;}\"><input type='button' id='deletedatei' value='Delete file' onmouseover=\"Tip('".DEBUG_DELETE."')\" onmouseout='UnTip()' onclick='delete_isgw();'></a></td>
			</tr>
			</table>";
	}	
	
	//Die Tabelle MISDN Trace 
	if (!$_POST['trace'] && !isset($_SESSION["IsdnTcp"]) && !isset($_COOKIE["IsdnTcp"])) {
		$ret .= "<br/><form class='extensions_form' method='POST'>
			<table class='contenttoc'>
			<tr>
			<th>ISDN Ports</th><th>SIP</th>
			</tr>
			<tr>
			<td nowrap>
			<input type='checkbox' name='isdn_enable' id='isdn_enable' value='1' onclick='dis();' checked/>enable
			<br/>
			<b>Check&nbsp;All</b>
			<input type='checkbox' id='checkall' name='checkall' onclick='checkallp();' onmouseover=\"Tip('".DEBUG_CHECK_ALL."')\" onmouseout='UnTip()'>
			<br/>" . $this->ports() . 
			"<br/>
			<br/>
			</td>
			<td>
			<input type='checkbox' name='sip_sign' id='sip_sign' value='1' onclick='if (sip_sign.checked==true) sip_audio.disabled=false; else sip_audio.disabled=true;' checked/>Sip Sign
			<br/>
			<input type='checkbox' name='sip_audio' id='sip_audio' value='1' /><label for='sip_audio'>Sip Audio</label>
			</td>
			</tr>
			<tr>
			<td colspan='2'>
			<input type='submit' id='trace' name='trace' onmouseover=\"Tip('".DEBUG_START_TRACE."')\" onmouseout='UnTip()' value='Start'>
			</td>
			</tr>
			</table>
			</form>";
		/* Wenn man auf den Knopf Start geclickt hat, wird die module mISDN_debugtool.ko geladen
		   und das mISDNdebugtool mit den ausgewählten Ports ausgeführt */
	}elseif ($_POST['trace'] == "Start" ) {
		$ports = "";
		if ($_POST['ports']) {
			foreach ($_POST['ports'] as $value) {
				if ($ports != "")
					$ports .= "," . $value;
				else
					$ports .= $value;
			}
		}
		if (($ports != "" && $_POST['isdn_enable']=='1') || ($_POST['sip_sign']=='1')) {
			$_SESSION["IsdnTcp"]="start";
			//*****EIN COOKIE WIRD IN DER DATEI HEADER.PHP ERZEUGT*****
			if ($ports != "" && $_POST['isdn_enable']=='1'){
				exec("/sbin/insmod /usr/local/modules/mISDN_debugtool.ko");
				exec("/usr/local/bin/mISDNdebugtool -d -s 5000 -f /tmp/ISDNdebug -p " . $ports);
			}
			if ($_POST['sip_sign']=='1' && $_POST['sip_audio']=='1')
				exec("/usr/local/sbin/tcpdump -s0 -w /tmp/tcpDump -C 2000 > /dev/null &");
			
			if ($_POST['sip_sign']=='1' && !isset($_POST['sip_audio']))
				exec("/usr/local/sbin/tcpdump -s0 -w /tmp/tcpDump -C 2000 udp port ".$this->udp()." > /dev/null &");

			$ret .= "<br/><form class='extensions_form' method='POST'>" .
				"<table class='contenttoc'><tr><th>&nbsp;</th></tr><tr>" .
				"<td><input type='submit' id='trace' name='trace' onmouseover=\"Tip('".DEBUG_STOP_TRACE."')\" onmouseout='UnTip()' value='Stop ISDN and TCP Trace'>" .
				"<input type='hidden' name='ports' value='" . $ports . "'></td></tr></table></form>";
			//Wenn kein Port ausgewählt wurde, wird die Anfangstabelle angezeigt.
		} else {
			$ret .= "<br/><form class='extensions_form' method='POST'>
			<table class='contenttoc'>
			<tr>
			<th>ISDN Ports</th><th>SIP</th>
			</tr>
			<tr>
			<td nowrap>
			<input type='checkbox' name='isdn_enable' id='isdn_enable' value='1' onclick='dis();' checked/>enable
			<br/>
			<b>Check&nbsp;All</b>
			<input type='checkbox' id='checkall' onclick='checkallp();' onmouseover=\"Tip('".DEBUG_CHECK_ALL."')\" onmouseout='UnTip()'>
			<br/>" . $this->ports() . 
			"<br/>
			<br/>
			</td>
			<td>
			<input type='checkbox' name='sip_sign' id='sip_sign' value='1' onclick='if (sip_sign.checked==true) sip_audio.disabled=false; else sip_audio.disabled=true;' checked/>Sip Sign
			<br/>
			<input type='checkbox' name='sip_audio' id='sip_audio' value='1' />Sip Audio
			</td>
			</tr>
			<tr>
			<td colspan='2'>
			<input type='submit' id='trace' name='trace' onmouseover=\"Tip('".DEBUG_START_TRACE."')\" onmouseout='UnTip()' value='Start'>
			</td>
			</tr>
			</table>
			</form>";
		}
		/*Wenn man auf den Knopf Stop clickt, wird die Module mISDNdebugtool gekillt
		  und ein Link wir angezeigt um die erzeugten Dateien als eine tar.gz Datei
		  herunterzuladen.*/
	
	}elseif ($_POST['trace'] == "Stop ISDN and TCP Trace") {
		unset($_SESSION['IsdnTcp']);
		//*****EIN COOKIE WIRD IN DER DATEI HEADER.PHP GELÖSCHT*****
		system("/usr/bin/killall tcpdump");
		system("/usr/bin/killall mISDNdebugtool");
		system("/sbin/rmmod mISDN_debugtool");
		$ret .= "<br/><form class='extensions_form' method='POST'>
			<table class='contenttoc'>
			<tr>
			<th>ISDN Ports</th><th>SIP</th>
			</tr>
			<tr>
			<td nowrap>
			<input type='checkbox' name='isdn_enable' id='isdn_enable' value='1' onclick='dis();' checked/>enable
			<br/>
			<b>Check&nbsp;All</b>
			<input type='checkbox' id='checkall' onclick='checkallp();' onmouseover=\"Tip('".DEBUG_CHECK_ALL."')\" onmouseout='UnTip()'>
			<br/>" . $this->ports() . 
			"<br/>
			<br/>
			</td>
			<td>
			<input type='checkbox' name='sip_sign' id='sip_sign' value='1' onclick='if (sip_sign.checked==true) sip_audio.disabled=false; else sip_audio.disabled=true;' checked/>Sip Sign
			<br/>
			<input type='checkbox' name='sip_audio' id='sip_audio' value='1' />Sip Audio
			</td>
			</tr>
			<tr>
			<td colspan='2'>
			<input type='submit' id='trace' name='trace' onmouseover=\"Tip('".DEBUG_START_TRACE."')\" onmouseout='UnTip()' value='Start'>
			</td>
			</tr>
			<tr>
			<td colspan='2' onmouseover=\"Tip('".DEBUG_DOWNLOAD_TRACE."')\" onmouseout='UnTip()'><a href='' onclick=\"javascript:new_window('./misc/isdn_trace.php?ports=" . $_POST['ports'] . "')\">Download Debug Files</a></td>
			</tr>
			</table>
			</form>";
	}elseif (isset($_SESSION["IsdnTcp"]) || isset($_COOKIE['IsdnTcp'])){
			$ret .= "<br/><form class='extensions_form' method='POST'>" .
				"<table class='contenttoc'><tr><th>&nbsp;</th></tr><tr>" .
				"<td><input type='submit' id='trace' name='trace' onmouseover=\"Tip('".DEBUG_STOP_TRACE."')\" onmouseout='UnTip()' value='Stop ISDN and TCP Trace'>" .
				"<input type='hidden' name='ports' value='" . $ports . "'></td></tr></table></form>";
	}

	if ($_POST['rck']=='Restart Applications'){
		exec("/usr/local/init/rcK",$ausgabe);
		exec("/usr/local/init/rcS",$ausgabe);
		$ret.="<br/><br/><form name='restart' method='POST' class='extensions_form'>";
		$ret.="<input type='submit' name='rck' onmouseover=\"Tip('".DEBUG_RESTART."')\" onmouseout='UnTip()' value=\"Restart Applications\"></form>";
		foreach ($ausgabe as $key=>$value){
			$ret.=$value."<br/>";
		}
	}else{
		$ret.="<br/><br/><form name='restart' method='post' class='extensions_form'>";
		$ret.="<input type='submit' name='rck' onmouseover=\"Tip('".DEBUG_RESTART."')\" onmouseout='UnTip()' value=\"Restart Applications\"></form>";
	}

	if ($_POST['dialplan']=='Start Dialplan Debugging'){
		echo '<script>
		left_pos=((screen.width-750)/2);
		height_pos=((screen.height-400)/2);
		var xx=window.open("./misc/dialplan_debug.php?sec='.$_POST['sec'].'","Dialplan Debug","width=750, height=400, left=" + left_pos + ", top=" + height_pos + " , menubar=no, location=no, resizable=yes, scrollbars=yes, status=no");
		xx.focus();
		</script>';
		$ret.="<br/><br/>
			<form name='dialplan_debug' method='POST' class='extensions_form'>
			<table class='contenttoc'>
			<th>Debug Dialplan</th>
			<tr><td><input type='submit' name='dialplan' onmouseover=\"Tip('".DEBUG_START_DIALPLAN_DEBUG."')\" onmouseout='UnTip()' value='Start Dialplan Debugging'></td></tr>
			</table>
			</form>";
	}else{
		$ret.="<br/><br/>
			<form name='dialplan_debug' method='POST' class='extensions_form'>
			<table class='contenttoc'>
			<th>Debug Dialplan</th>
			<tr><td><input type='submit' name='dialplan' onmouseover=\"Tip('".DEBUG_START_DIALPLAN_DEBUG."')\" onmouseout='UnTip()' value='Start Dialplan Debugging'></td></tr>
			</table>
			</form>";
	}
	
	if (isset($_POST['disable'])){
		if (is_file("/usr/conf/cron/root")){
			$i=0;
			$handle = fopen("/usr/conf/cron/root", "r");
			while (!feof($handle)) {
				$linet = fgets($handle, 1024);
				if (!preg_match('/\/usr\/local\/sbin\/graceful-reboot/', $linet)){
					 $lines[$i]=$linet;
					 $i++;
				 }
			} 
			fclose($handle);
			
			$handle = fopen("/usr/conf/cron/root", "w");
			for ($i=0;$i<count($lines);$i++){
				fwrite($handle,$lines[$i]);
			} 
			fclose($handle);
			system("/etc/init.d/cron stop");
			system("/etc/init.d/cron start");
		}
	}elseif (isset($_POST['hour'])){
		if (is_file("/usr/conf/cron/root")){
			$i=0;
			$handle = fopen("/usr/conf/cron/root", "r");
			while (!feof($handle)) {
				$linet = fgets($handle, 1024);
				if (!preg_match('/\/usr\/local\/sbin\/graceful-reboot/', $linet)){
					 $lines[$i]=$linet;
					 $i++;
				 }
			} 
			fclose($handle);	
			$handle = fopen("/usr/conf/cron/root", "w");
			for ($i=0;$i<count($lines);$i++){
				fwrite($handle,$lines[$i]);
			} 
			fwrite($handle,"1 ".$_POST['hour']." * * * /usr/local/sbin/graceful-reboot");
			fclose($handle);
			system("/etc/init.d/cron stop");
			system("/etc/init.d/cron start");

		}
	}

	include '/usr/local/php/beroConf.php';
	$bc = new beroConf('root');
	if(is_file("/usr/local/sbin/graceful-reboot") && date("Y")>=2009 && $bc->get("root", "ntphost")!=""){
		$value=false;
		$line="";
		if (is_file("/usr/conf/cron/root")){
			$handle = fopen ("/usr/conf/cron/root", "r");
			while (!feof($handle)) {
				$linet = fgets($handle, 1024);
				if (preg_match('/\/usr\/local\/sbin\/graceful-reboot/', $linet)){
					 $value=true;
					 $line=$linet;
				 }
			} 
			fclose($handle);
		}
 		if ($value){
 			$v=split(" ",$line);
			$ret.="<br/><br/><form name='nightly_restart' method='POST' class='extensions_form'>
			<table class='contenttoc'>
			<tr><th>Nightly restart</th></tr>
			<tr><td>Disable <input type='checkbox' value='true' name='disable'></td></tr>
			<tr><td>Hour:  <select name='hour'>";
			for ($i=0;$i<=23;$i++) {
				if ($i==$v[1]) $ret.="<option value='$i' selected>$i</option>";
				else $ret.="<option value='$i'>$i</option>";
			}
			
		}else{
			$ret.="<br/><br/>
			<form name='nightly_restart' method='POST' class='extensions_form'>
			<table class='contenttoc'>
			<tr><th>Nightly restart</th></tr>
			<tr><td>Disable <input type='checkbox' value='true' name='disable' checked></td></tr>
			<tr><td>Hour:  <select name='hour'>";
			for ($i=0;$i<=23;$i++) $ret.="<option value='$i'>$i</option>";
		}
		$ret.="</select></td></tr>
		<tr><td><input type='submit' name='restart' value='Save'></td></tr></table></form>";
	}
	//Rückgabe: Der Inhalt von der HTML-Seite  
	return $ret;
}

}
?>
