<?php


/**
 * Klasse Dialplan
 * Zeigt alle Einträge von der Tabelle dialplan der Datenbank
 */

class Dialplan {

	
	/*
	 * Funktion action
	 * wird aufgerufen um einen neuen Eintrag in der Datenbank zu schreiben 
	 */
	function action($args) {

		// args
		$m = $_GET['m'];
		$a = $_GET['a'];

		if ($a = 'add') {
			echo "<script type=\"text/javascript\">new_window(\"./misc/dialplan_popup.php?logingroup=" . $_SESSION['beroari_group'] . "\");</script>";
		}
	}

	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display($args) {

		include "./includes/functions.php";
		//Das Objekt funktions wird erzeugt um später die Navigationsleiste zu erzeugen.
		$functions = new functions();

		// args
		$m = $_GET['m'];
		$q = $_GET['q'];
		$start = $_GET['start'];

		$dialplan_table = $this->dynamic_table();

		//ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();

		// build page content
		$ret .= "<form class='extensions_form' name='dialplan' action='' method='GET'>
								<input type=hidden name=m value=" . $m . ">
								<input type=hidden name=f value='action'>
								<input type=hidden name=a value='add'>
								<br>
								" . $dialplan_table . "
								<br>
								<input name='submit' type='submit' value='Add' onmouseover=\"Tip('" . DIALPLAN_MOD_INBOUND_ADD . "')\" onmouseout='UnTip()'>
								</form>";

		//Erzeugung der Navigationsleiste.
		$query = $ba->select('SELECT * FROM dialplan');
		$record_count = sqlite_num_rows($query);
		$start = $start == '' ? 0 : $start;
		$span = 15;
		$url_opts = array ();
		$url_opts['number'] = $_GET['number'];
		$ret .= $functions->displayNavigationBlock($m, $q, $url_opts, $start, $span, $record_count);

		//Rückgabe: Inhalt der HTML-Seite
		return $ret;
	}

	/*
	 * Funktion dynamic_table
	 */
	function dynamic_table() {
		//ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();
		$start = $_GET['start'];
		$columns = $ba->column_type('dialplan');
		$i = 0;
		$misdnids=array();
		//Das Header der Tabelle sind die Spaltennamen von dialplan
		foreach ($columns as $column => $type) {
			if (($column != 'id') && ($column != 'config') && ($column != 'isdnid')) {
				$cols_name[$i] = $column;
				if ($column == "direction")
					$column = "Direction";
				if ($column == "fromId")
					$column = "From ID";
				if ($column == "toId")
					$column = "To ID";
				if ($column == "dest")
					$column = "Destination";
				if ($column == "newDest")
					$column = "New Destination";
				if ($column == "src")
					$column = "Source";
				if ($column == "newSrc")
					$column = "New Source";
				$cols .= "<th class='contenttoc'>" . $column . "</th>";
				$i++;
			}
		}
		$i = 0;
		$cols .= "<th class='contenttoc'>Position</th>";
		
		/*Die Einträge werden von der Tabelle dialplan gelesen, formatiert und in einer
		  Tabelle geschrieben, zusätzlich werden 2 Knöpfe eingebaut: modify und delete*/
		$page = (($start / 15) + 1);
		if (!$start)
			$start = 0;
		$id = 0;
		for ($j = 1; $j <= $page; $j++) {
			$query = $ba->select(' SELECT * from dialplan ORDER BY id asc limit 15 offset ' . $start);
			$rows = '';
			while ($entry = $ba->fetch_array($query)) {
				//Die Tabelle mit allen Eiträgen "from ISDN"
				if ($entry['isdnid']!="" && !in_array($entry['isdnid'],$misdnids)){
					$rows .= "<tr>";
					array_push($misdnids,$entry['isdnid']);
					$q = $ba->select("select fromId, dest, src, id from dialplan where isdnid='".$entry['isdnid']."' and direction='isdn-sip'");
					$en=$ba->fetch_array($q);
					$q1 = $ba->select("select toId, newDest, newSrc from dialplan where isdnid='".$entry['isdnid']."' and direction='sip-isdn'");
					$en1=$ba->fetch_array($q1);
					$rows .= "<td>isdn-isdn</td>";
					$rows .= "<td>" . stripslashes($en['fromId']) . "</td>";
					$rows .= "<td>" . stripslashes($en1['toId']) . "</td>";
					$rows .= "<td>" . stripslashes($en['dest']) . "</td>";
					$rows .= "<td>" . stripslashes($en1['newDest']) . "</td>";
					$rows .= "<td>" . stripslashes($en['src']) . "</td>";
					$rows .= "<td>" . stripslashes($en1['newSrc']) . "</td>";
					$rows.="<td><a href='misc/up.php?id=".$en['id']."&isdnid=".$entry['isdnid']."'><img src='./includes/images/up.png'></a>&nbsp;&nbsp;<a href='misc/down.php?id=".$en['id']."&isdnid=".$entry['isdnid']."'><img src='./includes/images/down.png'></a></td></td>";
					$id = $entry['id'];
					$rows .= "<td class='buttons' bgcolor='#DACECE'><font size='3'>
					<a class='popup_download' onclick=\"javascript:new_window('./misc/dialplan_popup.php?id=".$id."&isdnid=".$entry['isdnid'].
					"')\" ><input type='button' value='modify' onmouseover=\"Tip('" .
					DIALPLAN_MOD_INBOUND_MODIFY . "')\" onmouseout='UnTip()'></a>" .
					"&nbsp;<a class='popup_download' onclick=\"javascript:new_window('./misc/dialplan_popup.php?copy=".$id."&isdnid=".$entry['isdnid'].
					 "')\" ><input type='button' value='copy' onmouseover=\"Tip('" .
                	DIALPLAN_MOD_INBOUND_COPY . "')\" onmouseout='UnTip()'></a>" .
                	"&nbsp;<a class='popup_download' href=\"misc/delete.php?isdnid=".$entry['isdnid'].
                	"&table=dialplan\" onclick=\"if(confirm('Do you want to delete the entry: From ID " . 
					$en['fromId'] . ", To ID " . $en1['toId'] . 
					"?') == false){return false;}\"><input type='button' value='delete' onmouseover=\"Tip('" .
					DIALPLAN_MOD_INBOUND_DELETE . "')\" onmouseout='UnTip()'></a></font></td></tr>";	
				}elseif ($entry['isdnid']!="" && in_array($entry['isdnid'],$misdnids)){				
					continue;
				}else{
					$rows .= "<tr>";
					$count = sqlite_num_fields($query);
					for ($i = 0; $i < ($count - 3); $i++) {
						$col_name = $cols_name[$i];
						$rows .= "<td>" . stripslashes($entry[$col_name]) . "</td>";
					}

					$rows.="<td><a href='misc/up.php?id=".$entry['id']."'><img src='./includes/images/up.png'></a>&nbsp;&nbsp;<a href='misc/down.php?id=".$entry['id']."'><img src='./includes/images/down.png'></a></td></td>";
					$id = $entry['id'];
					$rows .= "<td class='buttons' bgcolor='#DACECE'><font size='3'>
					<a class='popup_download' onclick=\"javascript:new_window('./misc/dialplan_popup.php?id=" .
					$entry['id'] . "')\" ><input type='button' value='modify' onmouseover=\"Tip('" .
					DIALPLAN_MOD_INBOUND_MODIFY . "')\" onmouseout='UnTip()'></a>" .
					"&nbsp;<a class='popup_download' onclick=\"javascript:new_window('./misc/dialplan_popup.php?copy=" .
    	            $entry['id'] . "')\" ><input type='button' value='copy' onmouseover=\"Tip('" .
        	        DIALPLAN_MOD_INBOUND_COPY . "')\" onmouseout='UnTip()'></a>" .
            	    "&nbsp;<a class='popup_download' href=\"misc/delete.php?id=" .
					$id . "&table=dialplan\" onclick=\"if(confirm('Do you want to delete the entry: From ID " . 
					$entry['fromId'] . ", To ID " . $entry['toId'] . 
					"?') == false){return false;}\"><input type='button' value='delete' onmouseover=\"Tip('" .
					DIALPLAN_MOD_INBOUND_DELETE . "')\" onmouseout='UnTip()'></a></font></td></tr>";
			}
			}
		}
		//Die Tabelle mit allen Eintägen "from SIP"
		$table = "<table class='contenttoc' id='table'><tr>" . $cols . "<th></th></tr>" . $rows . "</table>";
		//Rückgabe: Erzeugte Tabelle mit den Einträgen der Tabelle dialplan der Datenbank
		return $table;
	}

}
?>
