<?php
chdir("..");
include './includes/variables.php';
include './misc/database.php';
require_once ('./includes/isgwtelnet.php');

function get_isgw_defaults() {
	$isgw = new isgwtelnet();
	$result=$isgw->isgw_login();
	if ($result!=false){
        $dialplanc=$isgw->isgw_dialplanconfig();
	$zeilen=split("\n",$dialplanc);
	}
	return $zeilen;
}

function get_difference_from_defaults() {
	foreach (array_keys($_POST) as $key){
		if (stripos($key,'config_')!==false){
			$k=str_replace("config_", "", $key);
			$zeilen=get_isgw_defaults();
			foreach ($zeilen as $zeile){
				if (stripos($zeile,'[')===0){
					preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) (?<def>.+)/",$zeile,$res);
					if (($res['name']==$k) && ($_POST[$key]!="") && ($res['bez']=="i")){
						if ((($_POST[$key]=="\"\"") || ($_POST[$key]=="\'\'")) && ($config!='')) $config.=",".$res['name']."=";
						elseif 	((($_POST[$key]=="\"\"") || ($_POST[$key]=="\'\'")) && ($config=='')) $config.=$res['name']."=";
						elseif ($config!='') $config.=",".$res['name']."=".$_POST[$key];
						else $config.=$res['name']."=".$_POST[$key];
					}
				}
			}
		}	
	}
	return $config;
}


function parameters($config,$direction){
	if ($direction=="sip-isdn"){
		//EC
		if (!isset($_POST['def_ec'])){
			if (isset($_POST['ec']) && $config!=""){
				$config.=",ec=1";
			}elseif(isset($_POST['ec']) && $config==""){
				$config.="ec=1";
			}elseif(!isset($_POST['ec']) && $config!=""){
				$config.=",ec=0";
			}elseif(!isset($_POST['ec']) && $config==""){
				$config.=",ec=0";
			}
		}
		//EC Ende
		
		//ECTL
		if (!isset($_POST['def_ectL'])){
			if (isset($_POST['ectl']))	
				$config.=",ectl=".$_POST['ectl'];
		}
		//ECTL Ende
		
		
		
		//DNUMPLAN
		if (!isset($_POST['def_dnumplan'])){
			if (isset($_POST['dnumplan']))	
				$config.=",dnumplan=".$_POST['dnumplan'];
		}
		//DNUMPLAN ende
		
		//RNUMPLAN
		if (!isset($_POST['def_rnumplan'])){
			if (isset($_POST['rnumplan']))	
				$config.=",rnumplan=".$_POST['rnumplan'];
		}
		//RNUMPLAN ende
		
		//ONUMPLAN
		if (!isset($_POST['def_onumplan'])){
			if (isset($_POST['onumplan']))	
				$config.=",onumplan=".$_POST['onumplan'];
		}
		//ONUMPLAN ende
		
		//CPNNUMPLAN
		if (!isset($_POST['def_cpnnumplan'])){
			if (isset($_POST['cpnnumplan']))	
				$config.=",cpnnumplan=".$_POST['cpnnumplan'];
		}
		//CPNNUMPLAN ende
		
		//UNKNOWNPREFIX
		if (!isset($_POST['def_unknownprefix'])){
			if (isset($_POST['unknownprefix']))	
				$config.=",unknownprefix=".$_POST['unknownprefix'];
		}
		//UNKNOWNPREFIX ende
		
		//INTERNATIONALPREFIX
		if (!isset($_POST['def_internationalprefix'])){
			if (isset($_POST['internationalprefix']))	
				$config.=",internationalprefix=".$_POST['internationalprefix'];
		}
		//INTERNATIONALPREFIX ende
		
		//NATIONALPREFIX
		if (!isset($_POST['def_nationalprefix'])){
			if (isset($_POST['nationalprefix']))	
				$config.=",nationalprefix=".$_POST['nationalprefix'];
		}
		//NATIONALPREFIX ende
		
		//PRIVATEPREFIX
		if (!isset($_POST['def_privateprefix'])){
			if (isset($_POST['privateprefix']))	
				$config.=",privateprefix=".$_POST['privateprefix'];
		}
		//PRIVATEPREFIX ende
		
		//LOCALPREFIX
		if (!isset($_POST['def_locaprefix'])){
			if (isset($_POST['localprefix']))	
				$config.=",localprefix=".$_POST['localprefix'];
		}
		//LOCALPREFIX ende
		
		//BEARER
		if (!isset($_POST['def_bearer_cap'])){
		if (isset($_POST['bearer_cap']))	
			$config.=",bearer_cap=".$_POST['bearer_cap'];
		}
		//BEARER ende
		
		//SCRENNING
		if (!isset($_POST['def_screen'])){
			if (isset($_POST['screen'])){
				$config.=",screen=1";
			}elseif(!isset($_POST['screen'])){
				$config.=",screen=0";
			}
		}
		//SCREENING Ende
		
		//PRESENTATION
		if (!isset($_POST['def_pres'])){
			if (isset($_POST['pres'])){
				$config.=",pres=1";
			}elseif(!isset($_POST['pres'])){
				$config.=",pres=0";
			}
		}
		//PRESENTATION Ende

		//CALL DEFLECTION
		if (!isset($_POST['def_cd'])){
			if (isset($_POST['cd'])){
				$config.=",cd=1";
			}elseif(!isset($_POST['cd'])){
				$config.=",cd=0";
			}
			
		}
		//CALL DEFLECTION Ende
		
		//EA
		if (!isset($_POST['def_ea'])){
			if (isset($_POST['ea'])){
				$config.=",ea=1";
			}elseif(!isset($_POST['ea'])){
				$config.=",ea=0";
			}
			
		}
		//EA Ende
		
		//T.38
		if (!isset($_POST['def_t38'])){
			if (isset($_POST['t38'])){
				$config.=",t38=1";
			}elseif(!isset($_POST['t38'])){
				$config.=",t38=0";
			}
		}
		//T.38 Ende
		
		//DTMF
		if (!isset($_POST['def_dtmfmode'])){
			if (isset($_POST['dtmfmode'])) 
				$config.=",dtmfmode=".$_POST['dtmfmode'];
		}
		//DTMF ende
		
		//CODECS
		if (!isset($_POST['def_codecs'])){
			$c="";
			for ($i=0;$i<count($_POST['codecs']);$i++){
				if ($c!="") $c.=":";
				$c.= $_POST['codecs'][$i];
			}
			if (isset($_POST['codecs']) && $defc[$_POST['fromIdSip']]['codecs']!=$c)	
				$config.=",codecs=".$c;
		}
		//CODECS ende
	}elseif ($direction=="isdn-sip"){
		//EC
		if (!isset($_POST['def_ec'])){
			if (isset($_POST['ec']) && $config!=""){
				$config.=",ec=1";
			}elseif(isset($_POST['ec']) && $config==""){
				$config.="ec=1";
			}elseif(!isset($_POST['ec']) && $config!=""){
				$config.=",ec=0";
			}elseif(!isset($_POST['ec']) && $config==""){
				$config.=",ec=0";
			}
		}
		//EC Ende
		
		//ECTL
		if (!isset($_POST['def_ectl'])){
			if (isset($_POST['ectl']))	
				$config.=",ectl=".$_POST['ectl'];
		}
		//ECTL Ende
		
		
		//DNUMPLAN
		if (!isset($_POST['def_dnumplan'])){
			if (isset($_POST['dnumplan']))	
				$config.=",dnumplan=".$_POST['dnumplan'];
		}
		//DNUMPLAN ende
		
		//RNUMPLAN
		if (!isset($_POST['def_rnumplan'])){
			if (isset($_POST['rnumplan']))	
				$config.=",rnumplan=".$_POST['rnumplan'];
		}
		//RNUMPLAN ende
		
		//ONUMPLAN
		if (!isset($_POST['def_onumplan'])){
			if (isset($_POST['onumplan']))	
				$config.=",onumplan=".$_POST['onumplan'];
		}
		//ONUMPLAN ende
		
		//CPNNUMPLAN
		if (!isset($_POST['def_cpnnumplan'])){
			if (isset($_POST['cpnnumplan']))	
				$config.=",cpnnumplan=".$_POST['cpnnumplan'];
		}
		//CPNNUMPLAN ende
		
		//UNKNOWNPREFIX
		if (!isset($_POST['def_unknownprefix'])){
			if (isset($_POST['unknownprefix']))	
				$config.=",unknownprefix=".$_POST['unknownprefix'];
		}
		//UNKNOWNPREFIX ende
		
		//INTERNATIONALPREFIX
		if (!isset($_POST['def_internationalprefix'])){
			if (isset($_POST['internationalprefix']) )	
				$config.=",internationalprefix=".$_POST['internationalprefix'];
		}
		//INTERNATIONALPREFIX ende
		
		//NATIONALPREFIX
		if (!isset($_POST['def_nationalprefix'])){
			if (isset($_POST['nationalprefix']))	
				$config.=",nationalprefix=".$_POST['nationalprefix'];
		}
		//NATIONALPREFIX ende
		
		//PRIVATEPREFIX
		if (!isset($_POST['def_privateprefix'])){
			if (isset($_POST['privateprefix']))	
				$config.=",privateprefix=".$_POST['privateprefix'];
		}
		//PRIVATEPREFIX ende
		
		//LOCALPREFIX
		if (!isset($_POST['def_localprefix'])){
			if (isset($_POST['localprefix']))	
				$config.=",localprefix=".$_POST['localprefix'];
		}
		//LOCALPREFIX ende
		
		//BEARER
		if (!isset($_POST['def_bearer_cap'])){
			if (isset($_POST['bearer_cap']))	
				$config.=",bearer_cap=".$_POST['bearer_cap'];
		}
		//BEARER ende
		
		//SCRENNING
		if (!isset($_POST['def_screen'])){
			if (isset($_POST['screen'])){
				$config.=",screen=1";
			}elseif(!isset($_POST['screen'])){
				$config.=",screen=0";
			}
		}
		//SCREENING Ende
		
		//PRESENTATION
		if (!isset($_POST['def_pres'])){
			if (isset($_POST['pres'])){
				$config.=",pres=1";
			}elseif(!isset($_POST['pres'])){
				$config.=",pres=0";
			}
		}
		//PRESENTATION Ende
	
		//EA
		if (!isset($_POST['def_ea'])){
			if (isset($_POST['ea'])){
				$config.=",ea=1";
			}elseif(!isset($_POST['ea'])){
				$config.=",ea=0";
			}
		}
		//EA Ende
		
		//T.38
		if (!isset($_POST['def_t38'])){
			if (isset($_POST['t38'])){
				$config.=",t38=1";
			}elseif(!isset($_POST['t38'])){
				$config.=",t38=0";
			}
		}
		//T.38 Ende
		
		//DTMF
		if (!isset($_POST['def_dtmfmode'])){
			if (isset($_POST['dtmfmode'])) 
				$config.=",dtmfmode=".$_POST['dtmfmode'];
		}
		//DTMF ende
		
		//CODECS
		if (!isset($_POST['def_codecs'])){
			if (isset($_POST['codecs'])){
				$c="";
				for ($i=0;$i<count($_POST['codecs']);$i++){
					if ($c!="") $c.=":";
					$c.= $_POST['codecs'][$i];
				}	
				$config.=",codecs=".$c;
			}
		}
		//CODECS ende
	}elseif ($direction=="isdn-isdn"){
		//EC
		if (!isset($_POST['def_ec'])){
			if (isset($_POST['ec']) && $config!=""){
				$config.=",ec=1";
			}elseif(isset($_POST['ec']) && $config==""){
				$config.="ec=1";
			}elseif(!isset($_POST['ec']) && $config!=""){
				$config.=",ec=0";
			}elseif(!isset($_POST['ec']) && $config==""){
				$config.=",ec=0";
			}
		}
		//EC Ende
		
		//ECTL
		if (!isset($_POST['def_ectL'])){
			if (isset($_POST['ectl']))	
				$config.=",ectl=".$_POST['ectl'];
		}
		//ECTL Ende
		
		
		
		//DNUMPLAN
		if (!isset($_POST['def_dnumplan'])){
			if (isset($_POST['dnumplan']))	
				$config.=",dnumplan=".$_POST['dnumplan'];
		}
		//DNUMPLAN ende
		
		//RNUMPLAN
		if (!isset($_POST['def_rnumplan'])){
			if (isset($_POST['rnumplan']))	
				$config.=",rnumplan=".$_POST['rnumplan'];
		}
		//RNUMPLAN ende
		
		//ONUMPLAN
		if (!isset($_POST['def_onumplan'])){
			if (isset($_POST['onumplan']))	
				$config.=",onumplan=".$_POST['onumplan'];
		}
		//ONUMPLAN ende
		
		//CPNNUMPLAN
		if (!isset($_POST['def_cpnnumplan'])){
			if (isset($_POST['cpnnumplan']))	
				$config.=",cpnnumplan=".$_POST['cpnnumplan'];
		}
		//CPNNUMPLAN ende
		
		//UNKNOWNPREFIX
		if (!isset($_POST['def_unknownprefix'])){
			if (isset($_POST['unknownprefix']))	
				$config.=",unknownprefix=".$_POST['unknownprefix'];
		}
		//UNKNOWNPREFIX ende
		
		//INTERNATIONALPREFIX
		if (!isset($_POST['def_internationalprefix'])){
			if (isset($_POST['internationalprefix']))	
				$config.=",internationalprefix=".$_POST['internationalprefix'];
		}
		//INTERNATIONALPREFIX ende
		
		//NATIONALPREFIX
		if (!isset($_POST['def_nationalprefix'])){
			if (isset($_POST['nationalprefix']))	
				$config.=",nationalprefix=".$_POST['nationalprefix'];
		}
		//NATIONALPREFIX ende
		
		//PRIVATEPREFIX
		if (!isset($_POST['def_privateprefix'])){
			if (isset($_POST['privateprefix']))	
				$config.=",privateprefix=".$_POST['privateprefix'];
		}
		//PRIVATEPREFIX ende
		
		//LOCALPREFIX
		if (!isset($_POST['def_locaprefix'])){
			if (isset($_POST['localprefix']))	
				$config.=",localprefix=".$_POST['localprefix'];
		}
		//LOCALPREFIX ende
		
		//BEARER
		if (!isset($_POST['def_bearer_cap'])){
		if (isset($_POST['bearer_cap']))	
			$config.=",bearer_cap=".$_POST['bearer_cap'];
		}
		//BEARER ende
		
		//SCRENNING
		if (!isset($_POST['def_screen'])){
			if (isset($_POST['screen'])){
				$config.=",screen=1";
			}elseif(!isset($_POST['screen'])){
				$config.=",screen=0";
			}
		}
		//SCREENING Ende
		
		//PRESENTATION
		if (!isset($_POST['def_pres'])){
			if (isset($_POST['pres'])){
				$config.=",pres=1";
			}elseif(!isset($_POST['pres'])){
				$config.=",pres=0";
			}
		}
		//PRESENTATION Ende
	}
	if (stripos($config,",")==0 && stripos($config,",")!==false)
	$config=substr_replace($config,'',0,1);
	return $config;
		
}

$ba = new beroAri();
if ($_POST['id_upd']) {
	if ($_POST['from_to'] == 'sip-isdn') {
		$direction="sip-isdn";
		$id=$_POST['id_upd'];
		$fromid=$_POST['fromIdSip'];
		$fromManual=$_POST['manualsipfrom'];
		//if ($fromid=="") $fromid="(.*)";
		$toid=$_POST['toIsdn'];
		$dest=$_POST['dest'];
		//if ($dest=="") $dest="(.*)";
		$newdest=$_POST['newDest'];
		//if ($newdest=="") $newdest="\\\\1";
		$src=$_POST['src'];
		//if ($src=="") $src="(.*)";
		$newsrc=$_POST['newSrc'];
		//if ($newsrc=="") $newsrc="\\\\1";
		$config=get_difference_from_defaults();
		$config=parameters($config,$direction);
		if ($_POST['isdnid']!=""){
			$ba->delete("delete from dialplan where isdnid='".$_POST['isdnid']."'");
			if ($fromid!="manual"){
				$qu = $ba->update("insert into dialplan (id, direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$id', '$direction', '$fromid', '$toid', '$dest', '$newdest', '$src', '$newsrc', '$config')");
			}else{
				$qu = $ba->update("insert into dialplan (id, direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$id', '$direction', '$fromManual', '$toid', '$dest', '$newdest', '$src', '$newsrc', '$config')");
			}
		}else{
			if ($fromid!="manual"){
				$query_new = $ba->update("UPDATE dialplan SET direction='$direction', fromId='$fromid', toId='$toid', dest='$dest', newDest='$newdest', src='$src', newSrc='$newsrc', config='$config' WHERE id='$id'");
			}else{
				$query_new = $ba->update("UPDATE dialplan SET direction='$direction', fromId='$fromManual', toId='$toid', dest='$dest', newDest='$newdest', src='$src', newSrc='$newsrc', config='$config' WHERE id='$id'");
			}
		}
	}
	if ($_POST['from_to'] == 'isdn-sip') {
		$direction="isdn-sip";
		$id=$_POST['id_upd'];
		$fromid=$_POST['fromIdIsdn'];
		$toid=$_POST['toSip'];	
		
		$toManual=$_POST['manualsip'];
		$dest=$_POST['dest'];
		$newdest=$_POST['newDest'];
		$src=$_POST['src'];
		$newsrc=$_POST['newSrc'];
		//if ($dest=="") $dest="(.*)";
		//if ($newdest=="") $newdest="\\\\1";
		//if ($src=="") $src="(.*)";
		//if ($newsrc=="") $newsrc="\\\\1";
		$config=get_difference_from_defaults();
		$config=parameters($config,$direction);
		if ($_POST['isdnid']!=""){
			$ba->delete("delete from dialplan where isdnid='".$_POST['isdnid']."'");
			if ($toid!="manual"){
				$qu = $ba->insert_("insert into dialplan (id, direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$id', '$direction', '$fromid', '$toid', '$dest', '$newdest', '$src', '$newsrc', '$config')");
			}else{
				$qu = $ba->insert_("insert into dialplan (id, direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$id', '$direction', '$fromid', '$toManual', '$dest', '$newdest', '$src', '$newsrc', '$config')");
			}
		}else{		
			if ($toid!="manual"){
				$qu = $ba->update("UPDATE dialplan SET direction='$direction', fromId='$fromid', toId='$toid', dest='$dest', newDest='$newdest', src='$src', newSrc='$newsrc', config='$config' WHERE id='$id'");
			}else{
				$q= $ba->update("UPDATE dialplan SET direction='$direction', fromId='$fromid', toId='$toManual', dest='$dest', newDest='$newdest', src='$src', newSrc='$newsrc', config='$config' WHERE id='$id'");
			}
		}
	}
	if ($_POST['from_to'] == 'isdn-isdn') {
		$direction="isdn-isdn";
		$id=$_POST['id_upd'];
		$fromid=$_POST['fromIdIsdn'];
		$toid=$_POST['toIsdn'];			
		$dest=$_POST['dest'];
		$newdest=$_POST['newDest'];
		$src=$_POST['src'];
		$newsrc=$_POST['newSrc'];
		$config=get_difference_from_defaults();
		$config=parameters($config,$direction);
		if ($_POST['isdnid']!=""){
			$qu=$ba->update("UPDATE dialplan SET fromId='$fromid', toId='".ip_address."', dest='$dest', newDest='".$_POST['isdnid']."\\\\1', src='$src', newSrc='\\\\1', config='$config' WHERE isdnid='".$_POST['isdnid']."' and direction='isdn-sip'");
			$qu=$ba->update("UPDATE dialplan SET fromId='".ip_address."', toId='$toid', dest='".$_POST['isdnid']."(.*)', newDest='$newdest', src='(.*)', newSrc='$newsrc', config='$config' WHERE isdnid='".$_POST['isdnid']."' and direction='sip-isdn'");
		}else{
			$ba->delete("delete from dialplan where id='$id'");
			$isdnid=uniqid("ISDNZUISDN");
			$ba->insert_("insert into dialplan (id, direction, fromId, toId, dest, newDest, src, newSrc, config, isdnid) VALUES ('$id', 'isdn-sip', '$fromid', '".ip_address."', '$dest', '".$isdnid."\\\\1', '$src', '\\\\1', '$config', '$isdnid')");
			$ba->insert_("insert into dialplan (direction, fromId, toId, dest, newDest, src, newSrc, config, isdnid) VALUES ('sip-isdn', '".ip_address."', '$toid', '".$isdnid."(.*)', '$newdest', '(.*)', '$newsrc', '$config', '$isdnid')");
		}
	}
	$query = $ba->select("select option from activate where id='activate'");
	while ($entry = $ba->fetch_array($query)) {
		if ($entry['option'] <= 1)
			$query = $ba->update("UPDATE activate SET option=1");
	}
	if (!$ba->is_error()) {
		echo "<script>window.opener.location='../index.php?m=dialplan'</script>";
		echo "<script>this.window.close();</script>";

	} else {
		echo "<script>alert('" . $ba->error() . "');</script>";
	}

} else {
	if ($_POST['from_to'] == 'sip-isdn') {
		$direction="sip-isdn";
		$fromid=$_POST['fromIdSip'];
		$fromManual=$_POST['manualsipfrom'];
		$toid=$_POST['toIsdn'];
		$dest=$_POST['dest'];
		$newdest=$_POST['newDest'];
		$src=$_POST['src'];
		$newsrc=$_POST['newSrc'];
		if ($fromid=="manual" && $fromManual=="")  $fromManual="(.*)";
		if ($dest=="") $dest="(.*)";
		if ($newdest=="") $newdest="\\\\1";
		if ($src=="") $src="(.*)";
		if ($newsrc=="") $newsrc="\\\\1";
		$config=get_difference_from_defaults();
		$config=parameters($config,$direction);
		if ($fromid!="manual"){
			$query_new = $ba->insert_("INSERT INTO dialplan (direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$direction','$fromid','$toid', '$dest', '$newdest', '$src', '$newsrc', '$config')");
		}else{
			$query_new = $ba->insert_("INSERT INTO dialplan (direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$direction','$fromManual','$toid', '$dest', '$newdest', '$src', '$newsrc', '$config')");
		}
	}
	if ($_POST['from_to'] == 'isdn-sip') {
		$direction="isdn-sip";
		$fromid=$_POST['fromIdIsdn'];
		$toid=$_POST['toSip'];	
		$toManual=$_POST['manualsip'];
		$dest=$_POST['dest'];
		$newdest=$_POST['newDest'];
		$src=$_POST['src'];
		$newsrc=$_POST['newSrc'];
		if ($dest=="") $dest="(.*)";
		if ($newdest=="") $newdest="\\\\1";
		if ($src=="") $src="(.*)";
		if ($newsrc=="") $newsrc="\\\\1";
		$config=get_difference_from_defaults();
		$config=parameters($config,$direction);
		if ($toid!="manual"){
			$query_new = $ba->insert_("INSERT INTO dialplan (direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$direction','$fromid','$toid', '$dest', '$newdest', '$src', '$newsrc', '$config')");
		}else{
			$query_new = $ba->insert_("INSERT INTO dialplan (direction, fromId, toId, dest, newDest, src, newSrc, config) VALUES ('$direction','$fromid','$toManual', '$dest', '$newdest', '$src', '$newsrc', '$config')");

		}
	}
	if ($_POST['from_to'] == 'isdn-isdn') {
		$direction="isdn-isdn";
		$fromid=$_POST['fromIdIsdn'];
		$toid=$_POST['toIsdn'];	
		$dest=$_POST['dest'];
		$newdest=$_POST['newDest'];
		$src=$_POST['src'];
		$newsrc=$_POST['newSrc'];
		if ($dest=="") $dest="(.*)";
		if ($newdest=="") $newdest="\\\\1";
		if ($src=="") $src="(.*)";
		if ($newsrc=="") $newsrc="\\\\1";
		$config=get_difference_from_defaults();
		$config=parameters($config,$direction);

		$isdnid=uniqid("ISDNZUISDN");
		$ba->insert_("insert into dialplan (direction, fromId, toId, dest, newDest, src, newSrc, config, isdnid) VALUES ('isdn-sip', '$fromid', '".ip_address."', '$dest', '".$isdnid."\\\\1', '$src', '\\\\1', '$config', '$isdnid')");
		$ba->insert_("insert into dialplan (direction, fromId, toId, dest, newDest, src, newSrc, config, isdnid) VALUES ('sip-isdn', '".ip_address."', '$toid', '".$isdnid."(.*)', '$newdest', '(.*)', '$newsrc', '$config', '$isdnid')");
	}
	$query = $ba->select("select option from activate");
	while ($entry = $ba->fetch_array($query)) {
		if ($entry['option'] <= 1)
			$query = $ba->update("UPDATE activate SET option=1");
	}
	if (!$ba->is_error()) {
		echo "<script>window.opener.location='../index.php?m=dialplan'</script>";
		echo "<script>this.window.close();</script>";

	} else {
		echo "<script>alert(\"" . $ba->error() . "\");</script>";
	}
}
?>
