<?php
chdir("..");

include "./includes/variables.php";
include "./misc/database.php";
require_once "./includes/isgwtelnet.php";
$ba= new beroAri();
function get_isgw_defaults() {
	$isgw = new isgwtelnet();
	$result=$isgw->isgw_login();
	if ($result!=false){
        $dialplanc=$isgw->isgw_dialplanconfig();
	$zeilen=split("\n",$dialplanc);
	}
	return $zeilen;
}
	
function get_difference_from_defaults() {
	foreach (array_keys($_POST) as $key){
		if (stripos($key,'config_')!==false){
			$k=str_replace("config_", "", $key);
			$zeilen=get_isgw_defaults();
			foreach ($zeilen as $zeile){
				if (stripos($zeile,'[')===0){
					preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) (?<def>.+)/",$zeile,$res);
					if (($res['name']==$k) && ($_POST[$key]!="") && ($res['bez']=="i")){
						if ((($_POST[$key]=="\"\"") || ($_POST[$key]=="\'\'")) && ($config!='')) $config.=",".$res['name']."=";
						elseif 	((($_POST[$key]=="\"\"") || ($_POST[$key]=="\'\'")) && ($config=='')) $config.=$res['name']."=";
						elseif ($config!='') $config.=",".$res['name']."=".$_POST[$key];
						else $config.=$res['name']."=".$_POST[$key];
					}
				}
			}
		}	
	}
	return $config;
	}

function parameters($config){
		//EC
		if (isset($_POST['ec']) && $config!=""){
			$config.=",ec=1";
		}elseif(isset($_POST['ec']) && $config==""){
			$config.="ec=1";
		}elseif(!isset($_POST['ec']) && $config!=""){
			$config.=",ec=0";
		}elseif(!isset($_POST['ec']) && $config==""){
			$config.=",ec=0";
		}
		//EC Ende
		
		//ECTL
		if (isset($_POST['ectl']))	$config.=",ectl=".$_POST['ectl'];
		//ECTL Ende
		
		
		//DNUMPLAN
		if (isset($_POST['dnumplan']))	$config.=",dnumplan=".$_POST['dnumplan'];
		//DNUMPLAN ende
		
		//RNUMPLAN
		if (isset($_POST['rnumplan']))	$config.=",rnumplan=".$_POST['rnumplan'];
		//RNUMPLAN ende
		
		//ONUMPLAN
		if (isset($_POST['onumplan']))	$config.=",onumplan=".$_POST['onumplan'];
		//ONUMPLAN ende
		
		//CPNNUMPLAN
		if (isset($_POST['cpnnumplan']))	$config.=",cpnnumplan=".$_POST['cpnnumplan'];
		//CPNNUMPLAN ende
		
		//UNKNOWNPREFIX
		if (isset($_POST['unknownprefix']))	$config.=",unknownprefix=".$_POST['unknownprefix'];
		//UNKNOWNPREFIX ende
		
		//INTERNATIONALPREFIX
		if (isset($_POST['internationalprefix']))	$config.=",internationalprefix=".$_POST['internationalprefix'];
		//INTERNATIONALPREFIX ende
		
		//NATIONALPREFIX
		if (isset($_POST['nationalprefix']))	$config.=",nationalprefix=".$_POST['nationalprefix'];
		//NATIONALPREFIX ende
		
		//PRIVATEPREFIX
		if (isset($_POST['privateprefix']))	$config.=",privateprefix=".$_POST['privateprefix'];
		//PRIVATEPREFIX ende
		
		//LOCALPREFIX
		if (isset($_POST['localprefix']))	$config.=",localprefix=".$_POST['localprefix'];
		//LOCALPREFIX ende
		
		//BEARER
		if (isset($_POST['bearer_cap']))	$config.=",bearer_cap=".$_POST['bearer_cap'];
		//BEARER ende
		
		//SCRENNING
		if (isset($_POST['screen'])){
			$config.=",screen=1";
		}elseif(!isset($_POST['screen'])){
			$config.=",screen=0";
		}
		//SCREENING Ende
		
		//CALL DEFLECTION
		if (isset($_POST['cd'])){
			$config.=",cd=1";
		}elseif(!isset($_POST['cd'])){
			$config.=",cd=0";
		}
		//CALL DEFLECTION Ende
		
		//PRESENTATION
		if (isset($_POST['pres'])){
			$config.=",pres=1";
		}elseif(!isset($_POST['pres'])){
			$config.=",pres=0";
		}
		//PRESENTATION Ende
		return $config;
}

if ($_POST['gr_upd']!=""){
	if ($ba->is_error()){
		die($ba->error());
	}
	$query_new = $ba->update("UPDATE isdn SET gr='NULL', config='' WHERE gr='".$_POST['gr_upd']."'");

	$query_comp=$ba->select("SELECT gr FROM isdn");
	while ($entry = $ba->fetch_array($query_comp)) {
		if ($_POST['gr_upd']!=$entry['gr']){
			if ($_POST['group']==$entry['gr']){
				echo "<script> window.history.back(); alert('Invalid Group Name');</script>";
				return;
			}
		}
	}
	$gr=$_POST['group'];
	$config=get_difference_from_defaults();
	$ports=$_POST['ports'];
	$new_ports=$_POST['new_ports'];
	$chansel=$_POST['chansel'];
	$tones=$_POST['tones'];
	$odt=$_POST['odt'];
	$odt_empty_dad=$_POST['odt_empty_dad'];
	$port="";
	if (isset($_POST['overlap_dialing'])){
		$overlap_dialing="yes";
	}else{
		$overlap_dialing="no";
	}
	$config=parameters($config);
	
	for ($i=0;$i<count($ports);$i++){
		$port = $ports[$i];
		$query_new = $ba->update("UPDATE isdn SET gr='$gr', config='$config', overlap_dialing='$overlap_dialing', odt='$odt', odt_empty_dad='$odt_empty_dad', chansel='$chansel', tones='$tones' WHERE port='$port'");
	}
	$new_port="";
	for ($i=0;$i<count($new_ports);$i++){
		$new_port= $new_ports[$i];
		$query_new = $ba->update("UPDATE isdn SET gr='NULL', config='', overlap_dialing='no', odt='3', odt_empty_dad='15', chansel='standard', tones='[de]' WHERE port='$new_port'");
	}
	if (!$ba->is_error()){
		$query=$ba->update("UPDATE dialplan SET fromId='g:".$gr."' where direction='isdn-sip' and fromId='g:".$_POST['gr_upd']."'");
		$query=$ba->update("UPDATE dialplan SET toId='g:".$gr."' where direction='sip-isdn' and toId='g:".$_POST['gr_upd']."'");
	}
	
	$query=$ba->select("select option from activate where id='activate'");
	while($entry = $ba->fetch_array($query)){
		if ($entry['option'] <= 2) $query =  $ba->update("UPDATE activate SET option=2 where id='activate'");
	}
	if (!$ba->is_error()){
		echo "<script>window.opener.location='../index.php?m=isdn'</script>";
		echo "<script>this.window.close();</script>";

	}else{
		echo "<script>alert(".$ba->error().");</script>";
	}
}else{
	if (($_POST['group'])&&($_POST['ports'])){
		if ($ba->is_error()){
			die($ba->error());
		}
		$query_comp=$ba->select("SELECT gr FROM isdn");
		while ($entry = $ba->fetch_array($query_comp)) {
			if ($_POST['group']==$entry['gr']){
				echo "<script> window.history.back(); alert('Invalid Group Name');</script>";
				return;
			}
		}
		$gr=$_POST['group'];
		$config=get_difference_from_defaults();
		$ports=$_POST['ports'];
		$new_ports=$_POST['new_ports'];
		$chansel=$_POST['chansel'];
		$tones=$_POST['tones'];
		$odt=$_POST['odt'];
		$odt_empty_dad=$_POST['odt_empty_dad'];
		if (isset($_POST['overlap_dialing'])){
			$overlap_dialing="yes";
		}else{
			$overlap_dialing="no";
		}
		$port="";
		$config=parameters($config);

		for ($i=0;$i<count($ports);$i++){
			$port = $ports[$i];
			$query_new = $ba->update("UPDATE isdn SET gr='$gr', config='$config', overlap_dialing='$overlap_dialing', odt='$odt', odt_empty_dad='$odt_empty_dad', chansel='$chansel', tones='$tones' WHERE port='$port'");
		}
		$new_port="";
		for ($i=0;$i<count($new_ports);$i++){
			$new_port= $new_ports[$i];
			$query_new = $ba->update("UPDATE isdn SET gr='NULL', config='', odt='3', overlap_dialing='no', odt_empty_dad='15', chansel='standard', tones='[de]' WHERE port='$new_port'");
		}

		
		
		$query=$ba->select("select option from activate where id='activate'");
		while($entry = $ba->fetch_array($query)){
			if ($entry['option'] <= 2) $query =  $ba->update("UPDATE activate SET option=2 where id='activate'");
		}
		if (!$ba->is_error()){
			echo "<script>window.opener.location='../index.php?m=isdn'</script>";
			echo "<script>this.window.close();</script>";

		}else{
			echo "<script>alert(".$ba->error().");</script>";
		}

	}else if ($_POST['submit']=="Save"){
		echo "<script> window.history.back(); alert('You must fill all the fields')</script>";
	}
}


?>
