<?php

/**
 * @file
 * Functions for the interface to the call monitor recordings
 */

/**
 * Class for settings
 */
class Up_tool {

	function display($args) {
		include '/usr/local/php/beroConf.php';
		$image_dir = "/mnt/images";
		$bc = new beroConf('root');
		$ba = new beroAri();

		// args
		$m = $_GET['m'];
		$q = $_GET['q'];
		$start = $_GET['start'];
		$show=true;
		$ret.= '<br/><table class="contenttoc" id="table">';
		switch ($_GET['action']) {
			case 'delete':
				$file = $image_dir . '/' . $_GET['file'];
				if (strlen($file) != 0 && file_exists($file) && unlink($file))
					$ret.= '<tr><td>File was successfully deleted.</td></tr>';
				else
					$ret.= '<tr><td>Failed to delete file!</td></tr>';
				break;
			case 'upload':
				$split_ext=explode(".",$_FILES['userfile']['name']);

				if ($split_ext[count($split_ext)-1]=="gz" && $split_ext[count($split_ext)-2]=="tar" && count($split_ext)>=3){
					$upload_file = $image_dir . '/' . basename($_FILES['userfile']['name']);
					if (move_uploaded_file($_FILES['userfile']['tmp_name'], $upload_file))
						$ret.= '<tr><td>File was successfully uploaded.</td></tr>';
					else
						$ret.= '<tr><td>File upload failed!</td></tr>';
				}
				break;
			case 'install':
			case 'reinstall':
				$file = $_GET['file'];
				$ret.= '<tr><td style="width:500px"><p><h5>You are about to ' . $_GET['action'] . ' a firmware image.<br>';
				$ret.= 'This will stop all running services and restart them after the installation<br>';
				$ret.= 'has finished.</h5></p>';
				$ret.= '<p><h3>Are you sure you want to ' . $_GET['action'] . ' <font color="red">' . $file . '</font>?</h3></p>';
				$ret.= '<p><h5>(This may take several minutes, please only click once).</h5></p>';
				$ret.= "<p><b><a href=index.php?m=up_tool>No</a></b> ";
				$ret.= "<b><a href=index.php?m=up_tool&action=do_install&file=$file>Yes</a></b></p></td></tr></table>";
				$show=false;
				break;
				//exit(0);
			case 'do_install':
				system("ps ax|grep -v grep|grep install.sh > /dev/null", $retval);
				if ($retval == 0)
					break;
				$file = $_GET['file'];
				if (strlen($file) != 0 && file_exists($image_dir . '/' . $file)) {
					echo '<p><b>Install log:</b></p>';
					echo '<pre>';
					system("/usr/local/sbin/install.sh $file", $retval);
					echo '</pre>';
					include "/usr/local/www/berogui/misc/post_update.php";
				}
				
				break;
		}

		$files = 0;
		switch ($show) {
			case true:
			if (!$bc->valid()) {
				$ret.= "<tr><td><h3>Error:</h3><b>Failed to connect to config database!</b></td></tr>";
				break;
			}
			if (!is_dir($image_dir) || !($dh = opendir($image_dir))) {
				$ret.= "<tr><td><h3>Error:</h3><b>Failed to read $image_dir!</b></td></tr>";
				break;
			}

			if (strcmp("running", $bc->get("root", "app-status")) == 0)
				$current = $bc->get("root", "app-image");

			$ret.= '<tr><td><font size="3"><b>Available image files:</b></font></td></tr>';
			while (($file = readdir($dh)) != false) {
				if (strlen($file) > 7 && substr_compare($file, ".tar.gz", -7, 7) == 0) {
					$files++;
					//if ($files == 1)
					//	$ret.= '<table class="contenttoc" id="table">';
					$is_current = strcmp($file, $current) == 0;
					$ret.= '<tr>';
					$ret.="<td style='width:500px;'><a href='index.php?m=up_tool&action=delete&file=$file'>delete</a>&nbsp;&nbsp;";
					if ($is_current)
						$ret.= "<a href='index.php?m=up_tool&action=reinstall&file=$file'>reinstall</a>&nbsp;&nbsp;";
					else
						$ret.= "<a href='index.php?m=up_tool&action=install&file=$file'>install</a>&nbsp;&nbsp;";
					$ret.= "<b>$file</b>&nbsp;&nbsp;";
					if ($is_current)
						$ret.= "<font color='red'>(active)</font></td>";
					else
						$ret.= "</td>";
					$ret.= '</tr>';
				}
			}
//	if ($files > 0)
//		$ret.= '</table>';
			if ($files == 0)
				$ret.= "<tr><td><p>none.</p></td></tr>";

			$ret.= '<tr><td><font size="3"><b>Upload new image file:</b></font></td></tr>';
			if ($files >= 2) {
				$ret.= "<tr><td><p><b>Image file capacity exceeded!</b><br>Please delete one of the above image files before uploading a new one.</p></td></tr></table>";
				break;
			} else {
				$ret.= '<form class="beroari_form" enctype="multipart/form-data" action="index.php?m=up_tool&action=upload" method="POST">';
				$ret.= '<input type="hidden" name="MAX_FILE_SIZE" value="52428800" />';
				$ret.= '<tr><td>Image file: <input name="userfile" type="file" onmouseover=\'Tip("'.UPDATE_TOOL_FILE.'")\' onmouseout="UnTip()"/>';
				$ret.= '<input type="submit" value="Upload file" onmouseover=\'Tip("'.UPDATE_TOOL_UPLOAD.'")\' onmouseout="UnTip()"/></td><tr>';
				$ret.= '</form></table>';
			}
			break;
		}


		return $ret;
	}


}


?>
